/*!
  * Sa11y, the accessibility quality assurance assistant.
  * @version 3.0.4
  * @author Adam Chaboryk, Toronto Metropolitan University
  * @license GPL-2.0-or-later
  * @copyright © 2020 - 2023 Toronto Metropolitan University (formerly Ryerson University).
  * @contact adam.chaboryk@torontomu.ca
  * GitHub: git+https://github.com/ryersondmp/sa11y.git | Website: https://sa11y.netlify.app
  * For all acknowledgements, please visit: https://sa11y.netlify.app/acknowledgements/
  * The above copyright notice shall be included in all copies or substantial portions of the Software.
**/
const e={checkRoot:"body",containerIgnore:".sa11y-ignore",contrastIgnore:'.sr-only, [role="menu"] *',outlineIgnore:"",headerIgnore:"",imageIgnore:"",linkIgnore:'nav *, [role="navigation"] *',linkIgnoreSpan:"",showGoodLinkButton:!0,showHinPageOutline:!1,detectSPArouting:!1,doNotRun:"",dismissAnnotations:!0,headless:!1,selectorPath:!1,shadowComponents:"",autoDetectShadowComponents:!1,panelPosition:"right",altTextMaxCharLength:250,headingMaxCharLength:170,URLTextMaxCharLength:40,URLAsLinkTextWarning:!0,readabilityPlugin:!0,readabilityRoot:"body",readabilityIgnore:"",contrastPlugin:!0,formLabelsPlugin:!0,linksAdvancedPlugin:!0,colourFilterPlugin:!0,customChecks:!0,checkAllHideToggles:!1,exportResultsPlugin:!1,linksToFlag:"",linksToDOI:!0,missingH1:!0,flagLongHeadings:!0,nonConsecutiveHeadingIsError:!0,badLinksQA:!0,strongItalicsQA:!0,pdfQA:!0,documentQA:!0,documentLinks:".ppt, .doc, .xls, .csv, sway.com, docs.google.com",langQA:!0,blockquotesQA:!0,allCapsQA:!0,fakeHeadingsQA:!0,fakeListQA:!0,duplicateIdQA:!0,underlinedTextQA:!0,pageTitleQA:!0,subscriptQA:!0,tablesQA:!0,tablesQAmissingTH:!0,tablesQAsemanticHeadings:!0,tablesQAemptyTH:!0,tablesQAemptyTHisError:!0,embeddedContentAll:!0,embeddedContentAudio:!0,embeddedContentVideo:!0,embeddedContentDataViz:!0,embeddedContentTitles:!0,embeddedContentGeneral:!0,videoContent:"youtube.com, vimeo.com, yuja.com, panopto.com",audioContent:"soundcloud.com, simplecast.com, podbean.com, buzzsprout.com, blubrry.com, transistor.fm, fusebox.fm, libsyn.com",dataVizContent:"datastudio.google.com, tableau"},t={langStrings:{},addI18n(e){this.langStrings=e},_(e){return this.translate(e)},sprintf(e,...t){let n=this._(e);return n=this.prepHTML(n),t&&t.length&&t.forEach((e=>{n=n.replace(/%\([a-zA-z]+\)/,e)})),n},translate(e){return this.langStrings[e]||e},prepHTML:e=>e.replaceAll(/<hr>/g,'<hr aria-hidden="true">').replaceAll(/<a[\s]href=/g,'<a target="_blank" rel="noopener noreferrer" href=').replaceAll(/<\/a>/g,`<span class="visually-hidden"> (${t._("NEW_TAB")})</span></a>`).replaceAll(/{r}/g,'class="red-text"')};const n=e=>{const t=document.createElement("style");t.setAttribute("class","sa11y-css-utilities"),t.textContent="[data-sa11y-overflow]{overflow:auto!important}[data-sa11y-clone-image-text]{display:none!important}[data-sa11y-readability-period]{clip:rect(1px,1px,1px,1px)!important;border:0!important;-webkit-clip-path:inset(50%)!important;clip-path:inset(50%)!important;display:block!important;height:1px!important;overflow:hidden!important;padding:0!important;position:absolute!important;white-space:nowrap!important;width:1px!important}[data-sa11y-error]{outline:5px solid var(--sa11y-error)!important}[data-sa11y-warning]{outline:5px solid var(--sa11y-warning)!important}[data-sa11y-good]{outline:5px solid var(--sa11y-good)!important}[data-sa11y-error-inline]{background-color:var(--sa11y-error)!important;box-shadow:0 0 0 4px var(--sa11y-error)!important;color:var(--sa11y-error-text)!important}[data-sa11y-error-inline],[data-sa11y-warning-inline]{border-color:transparent!important;border-radius:.25em!important}[data-sa11y-warning-inline]{background-color:var(--sa11y-warning)!important;box-shadow:0 0 0 4px var(--sa11y-warning)!important;color:var(--sa11y-warning-text)!important}[data-sa11y-pulse-border]{animation:pulse 2s 3;box-shadow:0;outline:5px solid var(--sa11y-focus-color)!important}[data-sa11y-pulse-border]:focus,[data-sa11y-pulse-border]:hover{animation:none}@keyframes pulse{0%{box-shadow:0 0 0 5px var(--sa11y-focus-color)}70%{box-shadow:0 0 0 12px var(--sa11y-pulse-color)}to{box-shadow:0 0 0 5px var(--sa11y-pulse-color)}}@media (prefers-reduced-motion:reduce){[data-sa11y-pulse-border]{animation:none!important}}@media (forced-colors:active){[data-sa11y-error-inline],[data-sa11y-error],[data-sa11y-good],[data-sa11y-pulse-border],[data-sa11y-warning-inline],[data-sa11y-warning]{forced-color-adjust:none}}",e.shadowRoot.appendChild(t)};const i=function(){const e={};const o={};const a={};const r={};const s={};const l={};return{initializeGlobal:function(t){e.html=document.querySelector("html"),e.headless=t.headless,e.panelPosition=t.panelPosition,e.dismissAnnotations=t.dismissAnnotations,e.contrastPlugin=t.contrastPlugin,e.formLabelsPlugin=t.formLabelsPlugin,e.linksAdvancedPlugin=t.linksAdvancedPlugin,e.colourFilterPlugin=t.colourFilterPlugin,e.checkAllHideToggles=t.checkAllHideToggles,e.exportResultsPlugin=t.exportResultsPlugin,e.Root=document.querySelector(t.checkRoot),e.Root||(e.Root=document.querySelector("body"));let n=!1;"function"==typeof window.matchMedia&&(n=window.matchMedia("(prefers-reduced-motion: reduce)")),e.scrollBehaviour=!n||n.matches?"auto":"smooth",e.langDirection="rtl"===e.html.getAttribute("dir")?"rtl":"ltr",t.documentLinks&&(e.documentLinks=`${t.documentLinks}`)},Global:e,initializePanelSelectors:function(){const e=document.querySelector("sa11y-control-panel").shadowRoot;o.panel=e.getElementById("panel"),o.content=e.getElementById("panel-content"),o.controls=e.getElementById("panel-controls"),o.outline=e.getElementById("outline-panel"),o.outlineContent=e.getElementById("outline-content"),o.outlineList=e.getElementById("outline-list"),o.outlineHeader=e.getElementById("outline-header"),o.notifBadge=e.getElementById("notification-badge"),o.notifCount=e.getElementById("notification-count"),o.notifText=e.getElementById("notification-text"),o.status=e.getElementById("status"),o.pageIssues=e.getElementById("page-issues"),o.pageIssuesList=e.getElementById("page-issues-list"),o.pageIssuesHeader=e.getElementById("page-issues-header"),o.pageIssuesContent=e.getElementById("page-issues-content"),o.settings=e.getElementById("settings-panel"),o.settingsHeader=e.getElementById("settings-header"),o.settingsContent=e.getElementById("settings-content"),o.contrastToggle=e.getElementById("contrast-toggle"),o.labelsToggle=e.getElementById("labels-toggle"),o.linksToggle=e.getElementById("links-advanced-toggle"),o.readabilityToggle=e.getElementById("readability-toggle"),o.themeToggle=e.getElementById("theme-toggle"),o.contrastItem=e.getElementById("contrast-item"),o.labelsItem=e.getElementById("form-labels-item"),o.linksItem=e.getElementById("links-advanced-item"),o.readabilityItem=e.getElementById("readability-item"),o.darkModeItem=e.getElementById("dark-mode-item"),o.colourPanel=e.getElementById("panel-colour-filters"),o.colourFilterItem=e.getElementById("colour-filter-item"),o.colourFilterSelect=e.getElementById("colour-filter-select"),o.colourFilterIcon=e.getElementById("filter-icon"),o.toggle=e.getElementById("toggle"),o.outlineToggle=e.getElementById("outline-toggle"),o.settingsToggle=e.getElementById("settings-toggle"),o.skipButton=e.getElementById("skip-button"),o.dismissButton=e.getElementById("dismiss-button"),o.dismissTooltip=e.getElementById("dismiss-tooltip"),o.skipToPageIssues=e.getElementById("skip-to-page-issues"),o.exportHTML=e.getElementById("export-html"),o.exportCSV=e.getElementById("export-csv"),o.alert=e.getElementById("panel-alert"),o.alertText=e.getElementById("panel-alert-text"),o.alertPreview=e.getElementById("panel-alert-preview"),o.alertClose=e.getElementById("close-alert"),o.readability=e.getElementById("readability-panel"),o.readabilityInfo=e.getElementById("readability-info"),o.readabilityDetails=e.getElementById("readability-details")},Panel:o,initializeReadability:function(n){if(n.readabilityPlugin){a.Root=document.querySelector(n.readabilityRoot),a.Root||(e.Root?(a.Root=e.Root,console.error(`Sa11y configuration error: The selector '${n.readabilityRoot}' used for the property 'readabilityRoot' does not exist. '${e.Root.tagName}' was used as a fallback.`)):a.Root=document.querySelector("body")),a.Lang=t._("LANG_CODE").substring(0,2);const o=["en","fr","es","de","nl","it","sv","fi","da","no","nb","nn","pt"],r=i.Global.html.getAttribute("lang");if(r){const e=r.toLowerCase().substring(0,2);o.includes(e)&&o.includes(a.Lang)?a.Plugin=!0:a.Plugin=!1}else a.Plugin=!1}},Readability:a,initializeExclusions:function(e){if(e.containerIgnore){const t=e.containerIgnore.split(",").map((e=>`${e} *, ${e}`));r.Container=`[aria-hidden], #wpadminbar *, ${t.join(", ")}`}else r.Container="[aria-hidden], #wpadminbar *";if(r.Contrast="script, style, link",e.contrastIgnore&&(r.Contrast=`${e.contrastIgnore}, ${r.Contrast}`),r.Readability='nav li, [role="navigation"] li',e.readabilityIgnore&&(r.Readability=`${e.readabilityIgnore}, ${r.Readability}`),e.headerIgnore&&(r.Headings=`${e.headerIgnore}`),e.outlineIgnore&&(r.Outline=`${e.outlineIgnore}`),r.Images='[role="presentation"]',e.imageIgnore&&(r.Images=`${e.imageIgnore}, ${r.Images}`),r.Links='[aria-hidden="true"], .anchorjs-link',e.linkIgnore&&(r.Links=`${e.linkIgnore}, ${r.Links}`),e.linkIgnoreSpan){const t=e.linkIgnoreSpan.split(",").map((e=>`${e} *, ${e}`));r.LinkSpan=`noscript, ${t.join(", ")}`}else r.LinkSpan="noscript"},Exclusions:r,initializeEmbeddedContent:function(e){if(e.videoContent){const t=e.videoContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Video=`video, ${t.join(", ")}`}else s.Video="video";if(e.audioContent){const t=e.audioContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Audio=`audio, ${t.join(", ")}`}else s.Audio="audio";if(e.dataVizContent){const t=e.dataVizContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Visualization=t.join(", ")}else s.Visualization="datastudio.google.com, tableau";s.All=`${s.Video}, ${s.Audio}, ${s.Visualization}`},EmbeddedContent:s,initializeShadowSearch:function(e,t,i){l.Components=function(e){let t;if(e.autoDetectShadowComponents){const i="sa11y-heading-label, sa11y-heading-anchor, sa11y-annotation, sa11y-tooltips, sa11y-dismiss-tooltip, sa11y-control-panel, #sa11y-colour-filters, #sa11y-colour-filters *, script",o=document.querySelector(e.checkRoot),a=o?Array.from(o.querySelectorAll(`*:not(${i})`)):Array.from(document.body.querySelectorAll(`*:not(${i})`)),r=[];a.forEach((e=>{e.shadowRoot&&"open"===e.shadowRoot.mode&&(r.push(e),n(e))}));const s=Array.from(r).map((e=>e.tagName.toLowerCase()));t=1===s.length?`${s.toString()}`:s.join(", ")}else t=e.suppliedShadowComponents||"",t&&document.querySelectorAll(t).forEach((e=>{n(e)}));return t}(e)},Shadow:l}}();function o(e,t,n){let o;"document"===t?o=document:"readability"===t?(o=i.Readability.Root,o||(o=i.Global.Root)):"root"===t?(o=i.Global.Root,o||(o=document.body)):"panel"===t?(o=i.Panel.panel,o||(o=document.body)):(o=document.querySelector(t),o||(o=document.body));const a=i.Shadow.Components,r=a?`, ${a}`:"",s=i.Exclusions.Container,l=void 0!==n?`, ${n}`:"",d=Array.from(o.querySelectorAll(`:is(${e}${r}):not(${s}${l})`));if(a.length){const t=[],n=a.trim().replace(/^,+/,"");if(d.forEach(((i,o)=>{i.matches(n)&&(t[o]=i.shadowRoot.querySelectorAll(`:is(${e}):not(${s}${l})`))})),t.length>0)for(let e=t.length-1;e>=0;e--)t[e]&&d.splice(e,1,...t[e])}return d}function a(e){const t=document.createElement("div");return t.textContent=e,t.innerHTML.replaceAll('"',"&quot;").replaceAll("'","&#039;").replaceAll("`","&#x60;")}function r(e){return e.replace(/[^\w. ]/gi,(e=>`&#${e.charCodeAt(0)};`))}function s(e){return e.textContent.replace(/[\n\r]+|[\s]{2,}/g," ").trim()}function l(e,t){const n="noscript, script, style",i=t?`${n}, ${t}`:n,o=e.cloneNode(!0);return Array.from(o.querySelectorAll(i)).forEach((e=>{e.parentElement.removeChild(e)})),o}function d(e){if(e.matches("[aria-label]"))return e.getAttribute("aria-label");if(e.matches("[aria-labelledby]")){const t=e.getAttribute("aria-labelledby").split(/\s+/);if(t.length>0){let e="";return t.forEach((t=>{const n=document.querySelector(`#${CSS.escape(t)}`);null===n?e+=" ":n.hasAttribute("aria-label")?e+=`${n.getAttribute("aria-label")}`:e+=`${n.firstChild.nodeValue} `})),e}}if(Array.from(e.children).filter((e=>e.matches("[aria-label]"))).length>0){const t=Array.from(e.childNodes);let n="";return t.forEach((e=>{1===e.nodeType?3===e.nodeType||null===e.ariaLabel?n+=e.innerText:n+=e.getAttribute("aria-label"):n+=e.nodeValue})),n}if(Array.from(e.children).filter((e=>e.matches("[aria-labelledby]"))).length>0){const t=Array.from(e.childNodes);let n="";return t.forEach((e=>{if(8===e.nodeType);else if(3===e.nodeType||null===e.getAttribute("aria-labelledby"))n+=e.nodeValue;else{const t=e.getAttribute("aria-labelledby").split(/\s+/);if(t.length>0){let e="";t.forEach((t=>{null===document.querySelector(`#${CSS.escape(t)}`)?e+=" ":e+=`${document.querySelector(`#${CSS.escape(t)}`).firstChild.nodeValue} `})),n+=e}}})),n}return"noAria"}function c(e,t,n){let i=e;for(;null!==i;){if(window.getComputedStyle(i).getPropertyValue(t)===n)return i;i=i.parentElement}return null}function p(e){const t=e.getBoundingClientRect(),n=window.pageYOffset||document.documentElement.scrollTop;return{top:t.top+n}}const u={getItem(e){try{return null===localStorage.getItem(e)?sessionStorage.getItem(e):localStorage.getItem(e)}catch(e){return!1}},setItem(e,t){try{localStorage.setItem(e,t)}catch(n){sessionStorage.setItem(e,t)}return!0},removeItem(e){try{localStorage.removeItem(e)}catch(t){sessionStorage.removeItem(e)}return!0}};function g(e){const t="data-sa11y-pulse-border";e.setAttribute(t,""),setTimeout((()=>{e.removeAttribute(t)}),2500)}function f(e){return String(e).replace(/([^0-9a-zA-Z])/g,"").substring(0,256)}function m(){const e=document.querySelector("sa11y-control-panel").shadowRoot,t=e.getElementById("panel-alert"),n=e.getElementById("panel-alert-text"),i=e.getElementById("panel-alert-preview");for(t.classList.remove("active"),i.classList.remove("panel-alert-preview");n.firstChild;)n.removeChild(n.firstChild);for(;i.firstChild;)i.removeChild(i.firstChild)}function b(e,t,n){m();const i=document.querySelector("sa11y-control-panel").shadowRoot,o=i.getElementById("panel-alert"),a=i.getElementById("panel-alert-text"),r=i.getElementById("panel-alert-preview"),s=i.getElementById("close-alert"),l=i.getElementById("skip-button");o.classList.add("active"),a.innerHTML=e;const d=n?`<div class="element-preview">${n}</div>`:"";function c(){m();(l.hasAttribute("disabled")?i.getElementById("toggle"):l).focus()}t&&(r.classList.add("panel-alert-preview"),r.innerHTML=`${d}<div class="preview-message">${t}</div>`),setTimeout((()=>{s.focus()}),300),s.addEventListener("click",c),o.onkeydown=e=>{"Escape"===(e||window.event).key&&o.classList.contains("active")&&c()}}function h(e,t){e.forEach((e=>{o(`[${e}]`,`${t}`).forEach((t=>{t.removeAttribute(e)}))}))}function y(e,t){o(`${e}`,`${t}`).forEach((e=>{e.parentNode.removeChild(e)}))}function v(e,t){e.scrollHeight>t.clientHeight?(t.classList.add("scrollable"),e.setAttribute("tabindex","0")):t.classList.remove("scrollable")}function x(e){const t=e.element,n=`<pre><code>${a(e.htmlPath)}</code></pre>`,i={IMG:e=>{const t=e.closest("a[href]"),i=e.src,o=e.alt?` alt="${e.alt}"`:" alt";return i?t?`<a href="${t.href}" rel="noopener noreferrer"><img src="${i}"${o}/></a>`:`<img src="${i}"${o}/>`:n},IFRAME:e=>{const t=e.src,i=e.title?` title="${e.title}"`:"",o=e.getAttribute("aria-label")?` aria-label="${e.getAttribute("aria-label")}"`:"";if(t){return`<iframe src=${t}${i||o}></iframe>`}return n},AUDIO:()=>e.htmlPath,VIDEO:()=>e.htmlPath}[t.tagName];return i?i(t):n}const A=function(){const e={};const t={};return{initializeElements:function(t){e.Images=o("img","root",i.Exclusions.Images),e.Headings=o('h1, h2, h3, h4, h5, h6, [role="heading"][aria-level]',"document",i.Exclusions.Headings),e.HeadingOne=o('h1, [role="heading"][aria-level="1"]',"document",i.Exclusions.Headings),e.Links=o("a[href]","root",i.Exclusions.Links),e.Inputs=o("input, select, textarea","root",i.Exclusions.Container),e.Contrast=o("*","root",i.Exclusions.Contrast),e.Labels=o("label","root",i.Exclusions.Container),e.Readability=o("p, li","readability",i.Exclusions.Readability),e.Paragraphs=o("p","root",i.Exclusions.Container),e.Lists=o("li","root",i.Exclusions.Container),e.Spans=o("span","root",i.Exclusions.Container),e.Blockquotes=o("blockquote","root",i.Exclusions.Container),e.Tables=o('table:not([role="presentation"])',"root",i.Exclusions.Container),e.StrongItalics=o("strong, em","root",i.Exclusions.Container),e.Ids=o("[id]","document",i.Exclusions.Container),e.Underlines=o("u","root",i.Exclusions.Container),e.Subscripts=o("sup, sub","root",i.Exclusions.Container),e.Language=i.Global.html.getAttribute("lang"),e.CustomErrorLinks=t?o(t,"root",i.Exclusions.Container):[],e.Iframes=o("iframe, audio, video","root",i.Exclusions.Container),e.Videos=e.Iframes.filter((e=>e.matches(i.EmbeddedContent.Video))),e.Audio=e.Iframes.filter((e=>e.matches(i.EmbeddedContent.Audio))),e.Visualizations=e.Iframes.filter((e=>e.matches(i.EmbeddedContent.Visualization))),e.EmbeddedContent=e.Iframes.filter((e=>!e.matches(i.EmbeddedContent.All)))},Found:e,initializeAnnotations:function(){t.Array=o("sa11y-annotation","root"),t.Array.forEach(((e,t)=>{e.setAttribute("data-sa11y-position",t)}))},Annotations:t}}();function w(e,t,n){if(!0===e){let e=window.location.pathname;const i=function(e,t){let n=null;return(...i)=>{window.clearTimeout(n),n=window.setTimeout((()=>{e(...i)}),t)}}((async()=>{e!==window.location.pathname&&("Closed"!==u.getItem("sa11y-remember-panel")&&u.getItem("sa11y-remember-panel")?(n(!1),await t()):t(),e=window.location.pathname)}),250);window.addEventListener("mousemove",i),window.addEventListener("keydown",i)}}let E,L;function I(e,n,a,r){if(i.Global.dismissAnnotations){L=n=>{(async(e,n,i,a)=>{let r=JSON.parse(u.getItem("sa11y-dismissed"));const s=e.target;if(document.querySelector("sa11y-dismiss-tooltip").hidden=!1,"BUTTON"===s.tagName&&s.hasAttribute("data-sa11y-dismiss")){const e=parseInt(s.getAttribute("data-sa11y-dismiss"),10),l=n.find((t=>t.id===e));if(null===r&&(setTimeout((()=>b(t._("DISMISS_REMINDER"))),0),r=[]),l.dismiss){const e={key:l.dismiss,href:window.location.pathname},t=o(`[data-sa11y-annotation='${l.id}']`),n=t[0]?t[0].getAttribute("data-sa11y-position"):0;u.setItem("sa11y-latest-dismissed",n),u.setItem("sa11y-dismiss-item",JSON.stringify(e)),r.push(e),u.setItem("sa11y-dismissed",JSON.stringify(r)),u.removeItem("sa11y-dismiss-item"),null!==s.closest("[data-tippy-root]")&&s.closest("[data-tippy-root]").remove(),a(!1),await i()}}})(n,e,a,r)};document.querySelector("sa11y-tooltips").shadowRoot.addEventListener("click",L),i.Panel.panel.addEventListener("click",L)}E=()=>{(async(e,t,n)=>{document.querySelector("sa11y-dismiss-tooltip").hidden=!0;const o=e.filter((e=>e.href!==window.location.pathname));u.setItem("sa11y-dismissed",JSON.stringify(o)),i.Panel.dismissButton.classList.remove("active"),n(!1),await t()})(n,a,r)},i.Panel.dismissButton.addEventListener("click",E)}var k=':root{--font-primary:system-ui,"Segoe UI",roboto,helvetica,arial,sans-serif;--font-secondary:Consolas,monaco,"Ubuntu Mono","Liberation Mono","Courier New",Courier,monospace;--body-text:#333;--bg-primary:#fff;--bg-secondary:#f6f8fa;--bg-tertiary:#d7d7d7;--link-primary:#004c9b;--red-text:#d30017}@media (prefers-color-scheme:dark){:root{--body-text:#dde8ff;--bg-primary:#0a2051;--bg-secondary:#072c7c;--bg-tertiary:#0041c9;--link-primary:#64b2ff;--red-text:#fe5b5f}}*{margin:0;padding:0}article,aside,nav,ol,p,pre,section,ul{margin-bottom:1rem}body{background:var(--bg-primary);font-family:var(--font-primary);font-size:1rem;line-height:1.5;margin:0 auto;max-width:70ch;overflow-wrap:break-word;overflow-x:hidden;padding:2rem;word-break:break-word}body,h1,h2,h3{color:var(--body-text)}h1,h2,h3{line-height:1;margin-bottom:8px;padding-bottom:2px;padding-top:.875rem}h1{font-size:2.25rem}h2{font-size:1.85rem}h3{font-size:1.55rem}a{color:var(--link-primary)}a:focus,a:hover{text-decoration:none}footer,header{background:var(--bg-secondary);padding:2rem calc(50vw - 50%)}header{border-bottom:1px solid var(--bg-tertiary);margin:-2rem calc(-50vw + 50%) 2rem}footer{border-top:1px solid var(--bg-tertiary);margin:3rem calc(-50vw + 50%) -2rem;text-align:center}header>:first-child{margin-top:0;padding-top:0}header>:last-child{margin-bottom:0}code,kbd,pre,samp{background:var(--bg-secondary);border:1px solid var(--bg-tertiary);border-radius:4px;font-family:var(--font-secondary);font-size:.9rem;padding:3px 6px}pre{display:block;max-width:100%;overflow:auto;padding:1rem 1.4rem}code pre,pre code{background:inherit;border:0;color:inherit;font-size:inherit;margin:0;padding:0}code pre{display:inline}details{background:var(--bg-primary);border:2px solid var(--link-primary);border-radius:4px;padding:.6rem 1rem}summary{cursor:pointer;font-weight:700}details[open]{padding-bottom:.75rem}details[open] summary{margin-bottom:6px}details[open]>:last-child{margin-bottom:0}.two-columns{display:flex}.column{flex:1;margin-inline-end:20px}.count{max-width:220px}.column dl{width:100%}dl{padding-top:10px}dt{font-weight:700}dd{padding-bottom:10px}ol ol,ol ul,ul ol,ul ul{margin-bottom:0}ul li{margin-bottom:.5rem}ol,ul{padding-left:2rem}li li:has(pre,img,iframe,video,audio){list-style:none;margin-top:1rem}ol li:not(li li){margin-bottom:3rem}iframe,img{border:0;display:block;max-width:50%}.red-text{color:var(--red-text)}.visually-hidden{clip:rect(1px,1px,1px,1px);border:0;-webkit-clip-path:inset(50%);clip-path:inset(50%);display:block;height:1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}';function T(){const e=new Date,t=String(e.getDate()).padStart(2,"0"),n=String(e.getMonth()+1).padStart(2,"0"),i=e.getFullYear(),o=(new Date).toLocaleString(),a=`${n}-${t}-${i}`,r=document.querySelector("head title"),s=!r||0===r.textContent.trim().length;return{date:o,numericDate:a,titleCheck:s,metaTitle:s?"":r.textContent,pageURL:window.location.href}}function _(e,n){const i=function(e,n){const i=e.filter((e=>"error"===e.type)),o=e.filter((e=>"warning"===e.type)),r={error:i.length,warning:o.length,dismiss:n.length};function s(e,n){const i={error:t._("ERRORS"),warning:t._("WARNINGS"),dismissed:t._("DISMISSED")}[n];if(!(e.length>0))return"";let o=`<h2>${i}</h2>`,s="<ol>",l="</ol>";return"dismissed"===n&&(s=`<details><summary>${t.sprintf("PANEL_DISMISS_BUTTON",r.dismiss)}</summary><ol>`,l="</details>"),o+=s,e.forEach((e=>{let n="";e.element&&(n=["IMG","IFRAME","AUDIO","VIDEO"].includes(e.element.tagName)?`\n              <li>\n                <strong>${t._("PREVIEW")}:</strong>\n                ${x(e)}\n              </li>\n              <li>\n                <strong>${t._("ELEMENT")}:</strong>\n                <pre><code>${a(e.htmlPath)}</code></pre>\n              </li>`:`\n              <li>\n                <strong>${t._("ELEMENT")}:</strong>\n                <pre><code>${a(e.htmlPath)}</code></pre>\n              </li>`);const i=e.cssPath?`<li>\n            <strong>${t._("PATH")}:</strong>\n            <pre><code>${e.cssPath}</code></pre>\n          </li>`:"";o+=`<li>\n                <p>${e.content.replace('<hr aria-hidden="true">'," | ")}</p>\n                <ul>${n}${i}</ul>\n              </li>`})),o+=l,o}const l=s(i,"error"),d=s(o,"warning"),c=s(n,"dismissed"),p=T(),u=p.titleCheck?"":`<dt>${t._("PAGE_TITLE")}</dt><dd>${p.metaTitle}</dd>`,g=0!==r.error?`<dt>${t._("ERRORS")}</dt><dd>${r.error}</dd>`:"",f=0!==r.warning?`<dt>${t._("WARNINGS")}</dt><dd>${r.warning}</dd>`:"",m=0!==r.dismiss?`<dt>${t._("DISMISSED")}</dt><dd>${r.dismiss}</dd>`:"";return`\n      <!DOCTYPE html>\n      <html lang="${t._("LANG_CODE")}">\n      <head>\n        <meta charset="UTF-8">\n        <meta name="viewport" content="width=device-width, initial-scale=1.0">\n        <title>${t._("RESULTS")}: ${p.metaTitle}</title>\n        <style>${k}</style>\n      </head>\n      <body>\n        <header>\n          <h1>${t._("RESULTS")}</h1>\n          <dl class="two-columns">\n            <div class="column">\n              ${u}\n              <dt>URL</dt>\n              <dd><a href="${p.pageURL}">${p.pageURL}</a></dd>\n              <dt>${t._("DATE")}</dt>\n              <dd>${p.date}</dd>\n            </div>\n            <div class="column count">\n              ${g}\n              ${f}\n              ${m}\n            </div>\n        </dl>\n        </header>\n        ${l}\n        ${d}\n        ${c}\n        <footer>\n          <p>${t.sprintf("GENERATED",'<a href="https://sa11y.netlify.app">Sa11y</a>')}</p>\n        </footer>\n      </body>\n      </html>\n    `}(e,n),o=T(),r=new Blob([i],{type:"text/html"}),s=document.createElement("a"),l=o.titleCheck?"":`_${o.metaTitle.trim().replace(/ /g,"")}`;s.href=window.URL.createObjectURL(r),s.download=`Sa11y_${o.numericDate+l}.html`,document.body.appendChild(s),s.click(),setTimeout((()=>{document.body.removeChild(s),window.URL.revokeObjectURL(s.href)}),100)}function S(e){const t=T(),n=e.filter((e=>"warning"===e.type||"error"===e.type)).map((e=>{const{type:n,content:i,htmlPath:o,cssPath:a}=e,r=i.replaceAll(/<span\s+class="visually-hidden"[^>]*>.*?<\/span>/gi,"").replaceAll('<hr aria-hidden="true">'," | ");const s=function(e){return e.replace(/&(#?[a-zA-Z0-9]+);/g,((e,t)=>{switch(t){case"amp":return"&";case"lt":return"<";case"gt":return">";case"quot":case"#39":return"'";default:return"#"===t.charAt(0)?String.fromCharCode("x"===t.charAt(1)?parseInt(t.substr(2),16):parseInt(t.substr(1),10)):e}}))}(String(r).replace(/<[^>]*>/g,"")),l={Title:`"${t.metaTitle}"`,URL:`"${t.pageURL}"`,Type:`"${String(n)}"`,Issue:`"${s}"`,Element:`"${o}"`};return a&&(l.Path=`"${a}"`),l})),i=Object.keys(n[0]),o=`${i.join(",")}\n${n.map((e=>i.map((t=>e[t])).join(","))).join("\n")}`,a=new Blob([o],{type:"text/csv"}),r=window.URL.createObjectURL(a),s=document.createElement("a");s.href=r,s.href=window.URL.createObjectURL(a);const l=t.titleCheck?"":`_${t.metaTitle.trim().replace(/ /g,"")}`;s.setAttribute("download",`Sa11y_${t.numericDate+l}.csv`),document.body.appendChild(s),s.click(),setTimeout((()=>{document.body.removeChild(s),window.URL.revokeObjectURL(s.href)}),100)}let P,O;var C='.visually-hidden{clip:rect(1px,1px,1px,1px);border:0;-webkit-clip-path:inset(50%);clip-path:inset(50%);display:block;height:1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}[hidden]{display:none!important}.header-text,.header-text-inline,h2{color:var(--sa11y-panel-primary);display:block;font-size:var(--sa11y-large-text);font-weight:600;margin-bottom:3px}.header-text-inline{display:inline-block!important}code{font-family:monospace!important}.kbd,code,kbd{background-color:var(--sa11y-panel-badge);border-radius:3.2px;color:var(--sa11y-panel-primary);padding:1.6px 4.8px}.bold{font-weight:600}.red-text{color:var(--sa11y-red-text)}.red-text,.yellow-text{font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text)}.yellow-text{color:var(--sa11y-yellow-text)}.close-btn{background:var(--sa11y-panel-bg-secondary);border:2px solid var(--sa11y-button-outline);border-radius:50%;color:var(--sa11y-panel-primary);cursor:pointer;float:var(--sa11y-float-rtl);font-size:var(--sa11y-normal-text);font-weight:400;height:32px;margin:0;position:relative;transition:all .2s ease-in-out;width:32px}.close-btn:focus,.close-btn:hover{background-color:var(--sa11y-shortcut-hover)}.close-btn:after{background:var(--sa11y-setting-switch-bg-off);bottom:-7px;content:"";left:-7px;-webkit-mask:var(--sa11y-close-btn-svg) center no-repeat;mask:var(--sa11y-close-btn-svg) center no-repeat;position:absolute;right:-7px;top:-7px}@media screen and (forced-colors:active){.close-btn:after{filter:invert(1)}}#container [tabindex="-1"]:focus,#container [tabindex="0"]:focus,#container a:focus,#container button:not(#settings-toggle):not(#outline-toggle):not(.switch):focus,#container select:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus,#container #settings-toggle:focus,#container .switch:focus{box-shadow:inset 0 0 0 4px var(--sa11y-focus-color);outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus,.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] button:active,.tippy-box[data-theme~=sa11y-theme] button:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus:not(:focus-visible),#container #settings-toggle:focus:not(:focus-visible),#container [tabindex="-1"]:focus:not(:focus-visible),#container [tabindex="0"]:focus:not(:focus-visible),#container button:focus:not(:focus-visible),#container select:focus:not(:focus-visible){box-shadow:none;outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus:not(:focus-visible),.tippy-box[data-theme~=sa11y-theme] a:focus:not(:focus-visible),.tippy-box[data-theme~=sa11y-theme] button:focus:not(:focus-visible){box-shadow:none;outline:0}#container [tabindex="-1"]:focus-visible,#container [tabindex="0"]:focus-visible,#container a:focus-visible,#container button:not(#settings-toggle):not(#outline-toggle):not(.switch):focus-visible,#container select:focus-visible{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus-visible,#container #settings-toggle:focus-visible,#container .switch:focus-visible{box-shadow:inset 0 0 0 4px var(--sa11y-focus-color);outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus-visible,.tippy-box[data-theme~=sa11y-theme] a:focus-visible,.tippy-box[data-theme~=sa11y-theme] button:focus-visible{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}@media screen and (forced-colors:active){#outline-toggle:focus,#settings-toggle:focus{border:3px solid transparent}#container [tabindex="-1"]:focus,#container [tabindex="0"]:focus,#container a:focus,#container button:focus,#container select:focus,.close-btn:focus,.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus,.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] button:focus{outline:3px solid transparent!important}}';class $ extends HTMLElement{constructor(e){super(),this.error=e}connectedCallback(){const e=this.attachShadow({mode:"open"}),n=document.createElement("style");n.innerHTML=":host{background:var(--sa11y-panel-bg);border-top:5px solid var(--sa11y-panel-bg-splitter);bottom:0;display:block;height:-moz-fit-content;height:fit-content;position:fixed;width:100%;z-index:999999}*{-webkit-font-smoothing:auto!important;color:var(--sa11y-panel-primary);font-family:var(--sa11y-font-face)!important;font-size:var(--sa11y-normal-text);line-height:22px!important}#dialog{margin:20px auto;max-width:900px;padding:20px}h2{font-size:var(--sa11y-large-text);margin-top:0}a{color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}a:focus,a:hover{text-decoration:none}p{margin-top:0}.error{background:var(--sa11y-error);border:2px dashed #f08080;color:var(--sa11y-error-text);margin-bottom:0;padding:5px}"+C,e.appendChild(n);const o=document.createElement("div");o.setAttribute("id","dialog"),o.setAttribute("tabindex","-1");const r=window.location,s=`https://github.com/ryersondmp/sa11y/issues/new?title=Bug%20report&body=%23%23%20Error%20Description%0A%60%60%60javascript%0A${encodeURIComponent(this.error.stack)}%0A%60%60%60%0A%0A%23%23%20URL%0A%60${r}%60%0A%0A%23%23%20Comments%0A`;o.innerHTML=`\n      <button class="close-btn" aria-label="${t._("ALERT_CLOSE")}"></button>\n      <h2>${t._("ERROR")}</h2>\n      <p>${t.sprintf("CONSOLE_ERROR_MESSAGE","https://forms.gle/sjzK9XykETaoqZv99",s)}</p>\n      <p class="error">${a(this.error.stack)}<br><br>URL: ${r}</p>\n    `,e.appendChild(o),setTimeout((()=>{i.Panel.toggle.style.display="none";const e=document.querySelector("sa11y-console-error");e.shadowRoot.getElementById("dialog").focus();e.shadowRoot.querySelector(".close-btn").addEventListener("click",(()=>{e.remove()}))}),0)}}class R extends HTMLElement{connectedCallback(){this.attachShadow({mode:"open"});const e=document.createElement("style");e.textContent='a,button,code,div,h1,h2,kbd,label,li,ol,p,pre,span,strong,svg,ul{all:unset;box-sizing:border-box!important}:after,:before{all:unset}div{display:block}*{-webkit-font-smoothing:auto!important;font-family:var(--sa11y-font-face)!important;line-height:22px!important}label,li,ol,p,ul{font-size:var(--sa11y-normal-text);font-weight:400;letter-spacing:normal;text-align:start;word-break:break-word}.sa11y-overflow{overflow:auto}iframe,img,video{border:0;display:block;height:auto;max-width:100%}audio{max-width:100%}#toggle{align-items:center;background:linear-gradient(0deg,#e040fb,#00bcd4);background-color:var(--sa11y-blue);background-size:150% 150%;border-radius:50%;bottom:15px;color:#fff;cursor:pointer;display:flex;height:55px;inset-inline-end:18px;justify-content:center;margin:0;overflow:visible;position:fixed;transition:all .2s ease-in-out;width:55px;z-index:2147483644}#toggle.left,#toggle.top-left{inset-inline-start:18px}#toggle.top-left,#toggle.top-right{bottom:unset;top:15px}@media screen and (forced-colors:active){#toggle{border:2px solid transparent}}#toggle svg{height:35px;width:35px}#toggle svg path{fill:var(--sa11y-panel-bg)}#toggle:focus,#toggle:hover{animation:sa11y-toggle-gradient 3s ease}#toggle:disabled:focus,#toggle:disabled:hover{animation:none}#toggle.on{background:linear-gradient(180deg,#e040fb,#00bcd4);background-color:var(--sa11y-blue)}#notification-badge{align-items:center;background-color:#eb0000;border:1px solid transparent;border-radius:50%;color:#fff;display:none;font-size:13px;font-weight:400;height:20px;justify-content:center;position:absolute;right:-3px;top:-3px;width:20px}#notification-badge.notification-badge-warning{background-color:var(--sa11y-warning-hover);border:1px solid var(--sa11y-warning);color:var(--sa11y-warning-text)}#panel{background:var(--sa11y-panel-bg);border-radius:4px;bottom:25px;box-shadow:0 0 20px 4px rgba(154,161,177,.15),0 4px 80px -8px rgba(36,40,47,.25),0 4px 4px -2px rgba(91,94,105,.15);inset-inline-end:42px;opacity:0;overflow:visible;position:fixed;transform:scale(0);transform-origin:100% 100%;transition:transform .2s,opacity background .2s .2s;visibility:hidden;z-index:2147483643}#panel.left,#panel.top-left{inset-inline-start:42px}#panel.top-left,#panel.top-right{bottom:unset;top:50px}#panel.active{height:auto;opacity:1;transform:scale(1);transform-origin:bottom right;transition:transform .2s,opacity .2s;visibility:visible}@media screen and (forced-colors:active){#panel{border:2px solid transparent}}#panel.active.left,[dir=rtl] #panel.active{transform-origin:bottom left}#panel.active.top-left{transform-origin:top left}#panel.active.top-right{transform-origin:top right}#panel-alert{display:none;opacity:0}#panel-alert.active{display:block;opacity:1}#panel-alert-content{align-items:center;border-bottom:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-primary);max-height:400px;overflow-y:auto;padding:15px 20px 15px 15px;position:relative}#panel-alert-preview .close-tooltip{display:none}#panel-alert-preview,#panel-alert-text{font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;line-height:22px}.panel-alert-preview{background:var(--sa11y-panel-bg-secondary);border:1px dashed var(--sa11y-panel-bg-splitter);border-radius:5px;margin-top:15px;padding:10px}.element-preview{background-color:var(--sa11y-panel-badge);border-radius:3.2px;margin-bottom:10px;overflow-wrap:break-word;padding:5px}button[data-sa11y-dismiss]{background:var(--sa11y-panel-bg-secondary);border:2px solid var(--sa11y-button-outline);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;display:block;margin:10px 5px 5px 0;padding:4px 8px}button[data-sa11y-dismiss]:focus,button[data-sa11y-dismiss]:hover{background:var(--sa11y-shortcut-hover)}h2{display:block;font-size:var(--sa11y-large-text);margin-bottom:3px}h2,strong{font-weight:600}a:not(#outline-list a){border-bottom:0;color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}a:focus,a:hover{text-decoration:none!important}hr{background:var(--sa11y-panel-bg-splitter);border:none;height:1px;margin:10px 0;opacity:1;padding:0}#dismiss-button,#skip-button{background:var(--sa11y-panel-bg-secondary);border:1px solid var(--sa11y-button-outline);border-radius:50px;cursor:pointer;display:none;height:36px;margin-inline-end:8px;margin-inline-start:2px;overflow:visible;position:relative;text-align:center;transition:all .1s ease-in-out;width:36px}#dismiss-button.active,#skip-button.active{display:block}#dismiss-button:disabled,#skip-button:disabled{background:none;border:0;box-shadow:none;cursor:default}#dismiss-button:before,#skip-button:before{bottom:-5px;content:"";left:-5px;position:absolute;right:-5px;top:-5px}#dismiss-button:focus:not(:disabled),#dismiss-button:hover:not(:disabled),#skip-button:focus:not(:disabled),#skip-button:hover:not(:disabled){background-color:var(--sa11y-shortcut-hover)}#panel.left #dismiss-button,#panel.left #skip-button,#panel.top-left #dismiss-button,#panel.top-left #skip-button{margin-inline-end:2px;margin-inline-start:8px}.dismiss-icon{background:var(--sa11y-setting-switch-bg-off);display:inline-block;height:24px;margin-bottom:-4px;-webkit-mask:var(--sa11y-dismiss-icon) center no-repeat;mask:var(--sa11y-dismiss-icon) center no-repeat;width:24px}@media screen and (forced-colors:active){.dismiss-icon{filter:invert(1)}}#panel-content{align-items:center;color:var(--sa11y-panel-primary);display:flex;padding:6px}#panel-content.errors .panel-icon,#panel-content.good .panel-icon,#panel-content.warnings .panel-icon{height:26px;margin:0 auto;width:26px}#panel-content.errors .panel-icon{background:var(--sa11y-panel-error);margin-top:-2px;-webkit-mask:var(--sa11y-error-svg) center no-repeat;mask:var(--sa11y-error-svg) center no-repeat}#panel-content.good .panel-icon{background:var(--sa11y-good);-webkit-mask:var(--sa11y-good-svg) center no-repeat;mask:var(--sa11y-good-svg) center no-repeat}#panel-content.warnings .panel-icon{background:var(--sa11y-warning-svg-color);-webkit-mask:var(--sa11y-warning-svg) center no-repeat;mask:var(--sa11y-warning-svg) center no-repeat;transform:scaleX(var(--sa11y-icon-direction))}@media screen and (forced-colors:active){#panel-content.errors .panel-icon,#panel-content.good .panel-icon,#panel-content.warnings .panel-icon{filter:invert(1)}}#panel.left #panel-content,#panel.top-left #panel-content{flex-direction:row-reverse}#status{font-size:var(--sa11y-large-text)}#status,.panel-count{color:var(--sa11y-panel-primary)}.panel-count{background-color:var(--sa11y-panel-badge);border-radius:4px;font-size:15px;font-weight:400;margin-left:3px;margin-right:3px;padding:2px 4px}#outline-panel,#page-issues,#settings-panel{color:var(--sa11y-panel-primary);display:none;opacity:0}#outline-panel.active,#page-issues.active,#settings-panel.active{display:block;opacity:1}.panel-header{padding:10px 15px 0;text-align:start}#outline-content,#page-issues-content,#settings-content{border-bottom:1px solid var(--sa11y-panel-bg-splitter);padding:0 15px 10px}#page-issues-content{max-height:160px;overflow-y:auto}#outline-content{max-height:250px;overflow-y:auto}#outline-panel .outline-list-item.sa11y-red-text,#settings-panel .sa11y-red-text{color:var(--sa11y-red-text)}#outline-list{display:block;margin:0;padding:0}#outline-list a{cursor:pointer;display:block;text-decoration:none}#outline-list li{display:block;list-style-type:none;margin-bottom:3px;margin-top:0;padding:0}#outline-list li:first-child{margin-top:5px}#outline-list li a:focus,#outline-list li a:hover{background:var(--sa11y-panel-outline-hover);border-radius:5px;box-shadow:0 0 0 2px var(--sa11y-panel-outline-hover);display:block}#outline-list .outline-2{margin-inline-start:15px}#outline-list .outline-3{margin-inline-start:30px}#outline-list .outline-4{margin-inline-start:45px}#outline-list .outline-5{margin-inline-start:60px}#outline-list .outline-6{margin-inline-start:75px}.badge{background-color:var(--sa11y-panel-badge);border:1px solid transparent;border-radius:10px;color:var(--sa11y-panel-primary);display:inline;font-size:13px;font-weight:700;min-width:10px;padding:2px 5px;text-align:center;white-space:nowrap}.error-badge{background:var(--sa11y-error);color:var(--sa11y-error-text)}.warning-badge{background:var(--sa11y-yellow-text);color:var(--sa11y-panel-bg)}.error-icon{background:var(--sa11y-error-text);-webkit-mask:var(--sa11y-error-svg) center no-repeat;mask:var(--sa11y-error-svg) center no-repeat}.error-icon,.hidden-icon{display:inline-block;height:16px;margin-bottom:-3px;width:16px}.hidden-icon{background:var(--sa11y-panel-primary);-webkit-mask:var(--sa11y-hidden-icon-svg) center no-repeat;mask:var(--sa11y-hidden-icon-svg) center no-repeat}.error-badge .hidden-icon{background:var(--sa11y-error-text)}.warning-badge .hidden-icon{background:var(--sa11y-panel-bg)}@media screen and (forced-colors:active){.hidden-icon{filter:invert(1)}}#panel-controls{border-radius:0 0 4px 4px;display:flex;overflow:hidden}#outline-toggle,#settings-toggle{background:var(--sa11y-panel-bg-secondary);background-color:var(--sa11y-panel-bg-secondary);border-bottom:1px solid var(--sa11y-panel-bg-splitter);border-top:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-secondary);cursor:pointer;display:block;font-size:var(--sa11y-normal-text);font-weight:400;height:30px;line-height:0;margin:0;opacity:1;outline:0;padding:0;position:relative;text-align:center;transition:background .2s;width:100%}#outline-toggle.outline-active,#outline-toggle.settings-active,#outline-toggle:hover,#settings-toggle.outline-active,#settings-toggle.settings-active,#settings-toggle:hover{background-color:var(--sa11y-shortcut-hover)}#outline-toggle.outline-active,#outline-toggle.settings-active,#settings-toggle.outline-active,#settings-toggle.settings-active{font-weight:500}#outline-toggle{border-inline-end:1px solid var(--sa11y-panel-bg-splitter)}#export-results-mode,label{color:var(--sa11y-panel-primary);display:inline-block;font-weight:400;margin:0;width:100%}label:not(#colour-filter-mode,#export-results-mode){cursor:pointer}#settings-panel #export-csv,#settings-panel #export-html{padding:0;text-align:center;width:unset}#settings-panel #export-csv span,#settings-panel #export-html span{background:var(--sa11y-panel-bg-secondary);border-radius:5px;box-shadow:inset 0 0 0 2px var(--sa11y-setting-switch-bg-off);display:block;margin:0 4px;padding:7px 9px;width:65px}#settings-panel #export-csv:focus span,#settings-panel #export-csv:focus-within span,#settings-panel #export-csv:hover span,#settings-panel #export-html:focus span,#settings-panel #export-html:focus-within span,#settings-panel #export-html:hover span{background:var(--sa11y-shortcut-hover)}#settings-panel .switch{background:none;border:0;border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;font-size:var(--sa11y-normal-text);font-weight:400;height:44px;margin:0;padding:7px 10px;position:relative;text-align:end;width:105px}#settings-panel .switch[aria-pressed=false]:after,#settings-panel .switch[aria-pressed=true]:after{content:"";display:inline-block;height:27px;margin:0 4px 4px;vertical-align:middle;width:27px}#settings-panel .switch[aria-pressed=true]:after{background:var(--sa11y-setting-switch-bg-on);-webkit-mask:var(--sa11y-setting-switch-on-svg) center no-repeat;mask:var(--sa11y-setting-switch-on-svg) center no-repeat}#settings-panel .switch[aria-pressed=false]:after{background:var(--sa11y-setting-switch-bg-off);-webkit-mask:var(--sa11y-setting-switch-off-svg) center no-repeat;mask:var(--sa11y-setting-switch-off-svg) center no-repeat}@media screen and (forced-colors:active){#settings-panel .switch[aria-pressed=false]:after,#settings-panel .switch[aria-pressed=true]:after{filter:invert(1)}}#settings-panel #settings-options li{align-items:center;border-bottom:1px solid var(--sa11y-panel-bg-splitter);display:flex;justify-content:space-between;list-style-type:none;padding:1px 0}#settings-panel #settings-options li:last-child{border:none}#page-issues{align-items:center;color:var(--sa11y-panel-primary)}#page-issues-list{display:block;margin-top:4px}#page-issues-list li{display:block;margin:0 0 10px}#page-issues-list strong{display:block}#panel-colour-filters{align-items:center;color:var(--sa11y-panel-primary);display:none;font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;line-height:22px}#panel-colour-filters.active{display:flex}#panel-colour-filters p{padding:6px 20px 6px 6px;width:100%}#panel-colour-filters[data-colour=protanopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(94deg,#786719 11%,#e0c600 36%,#e0c600 47%,#0059e3 75%,#0042aa 91%);border-image:linear-gradient(94deg,#786719 11%,#e0c600 36%,#e0c600 47%,#0059e3 75%,#0042aa 91%);border-image-slice:1}#panel-colour-filters[data-colour=deuteranopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#567fdb,#a4a28d 48%,#c3ad14 69%,#a79505);border-image:linear-gradient(270deg,#567fdb,#a4a28d 48%,#c3ad14 69%,#a79505);border-image-slice:1}#panel-colour-filters[data-colour=tritanopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#b1506f,#0696c1 35%,#f3a9ba 70%,#d91c5d 87%,#fe015c);border-image:linear-gradient(270deg,#b1506f,#0696c1 35%,#f3a9ba 70%,#d91c5d 87%,#fe015c);border-image-slice:1}#panel-colour-filters[data-colour=monochromacy]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#000,#a7a7a7 50%,#000);border-image:linear-gradient(270deg,#000,#a7a7a7 50%,#000);border-image-slice:1}#panel-colour-filters[data-colour=protanopia] .panel-icon{background:var(--sa11y-panel-error)}#panel-colour-filters[data-colour=deuteranopia] .panel-icon{background:var(--sa11y-good-hover)}#panel-colour-filters[data-colour=tritanopia] .panel-icon{background:var(--sa11y-blue)}#panel-colour-filters[data-colour=monochromacy] .panel-icon{background:linear-gradient(90deg,#38a459 20%,red 50%,#0077c8 80%)}#panel-colour-filters .panel-icon{height:30px;margin-inline-end:5px;margin-inline-start:10px;-webkit-mask:var(--sa11y-low-vision-icon) center no-repeat;mask:var(--sa11y-low-vision-icon) center no-repeat;width:30px}@media screen and (forced-colors:active){#panel-colour-filters .panel-icon{forced-color-adjust:none}}.select-dropdown:after{border-left:5px solid transparent;border-right:5px solid transparent;border-top:5px solid var(--sa11y-setting-switch-bg-off);content:" ";height:0;inset-inline-end:25px;margin-top:22.5px;position:absolute;width:0}#colour-filter-select{-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--sa11y-panel-bg-secondary);border:2px solid var(--sa11y-setting-switch-bg-off);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;font-size:var(--sa11y-normal-text);font-weight:400;height:30px;margin-inline-end:4px;padding-inline-end:25px;padding-inline-start:5px;position:relative;text-align:end;vertical-align:middle}#colour-filter-select:focus,#colour-filter-select:hover{background:var(--sa11y-shortcut-hover)}#colour-filter-select.active{box-shadow:0 0 0 2px var(--sa11y-setting-switch-bg-on)}#colour-filter-item label,#colour-filter-item select{margin-bottom:9px;margin-top:10px}#readability-panel{display:none;opacity:0}#readability-panel.active{display:block;opacity:1}#readability-content{border-bottom:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-primary);padding:10px 15px;width:100%}#readability-details{list-style-type:none;margin:0;padding:0;white-space:normal}#readability-details li{display:inline-block;list-style-type:none;margin:0;padding-inline-end:10px}.readability-score{background-color:var(--sa11y-panel-badge);border-radius:4px;color:var(--sa11y-panel-primary);margin-inline-start:5px;padding:2px 5px}#readability-info{margin-inline-start:10px}#skip-to-page-issues{display:none}#panel.has-page-issues #skip-to-page-issues{clip:rect(0,0,0,0);background:var(--sa11y-panel-bg);border:0;border-radius:5px;display:block;height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}#panel.has-page-issues #skip-to-page-issues:focus{clip:auto;height:auto;margin:0;overflow:visible;padding:5px 7px;white-space:normal;width:auto;z-index:1}.hide-settings-border{border-bottom:0!important;padding:0 15px!important}::-webkit-scrollbar{height:6px;width:7px}::-webkit-scrollbar-thumb{background-color:var(--sa11y-button-outline);border-radius:6px}*{scrollbar-color:var(--sa11y-button-outline);scrollbar-width:thin}.scrollable:before{animation:fade 1s ease-in-out;background-image:linear-gradient(180deg,transparent 0,transparent 70%,var(--sa11y-panel-scrollable) 100%);background-position:bottom;bottom:auto;content:"";height:250px;left:0;position:absolute;right:0;top:auto;transition:opacity 1s ease-in-out;z-index:-1}#page-issues-content.scrollable:before{height:160px}#panel-alert.scrollable:before{height:200px}@keyframes sa11y-toggle-gradient{0%{background-position:50% 0}50%{background-position:50% 100%}to{background-position:50% 0}}@keyframes fade{0%{opacity:0}to{opacity:1}}@media (prefers-reduced-motion:reduce){*{animation:none!important;transform:none!important;transition:none!important}}#panel{width:375px}#container:lang(en) #panel{width:305px}#container:lang(da) #panel,#container:lang(de) #panel,#container:lang(nb) #panel,#container:lang(pl) #panel,#container:lang(sv) #panel,#container:lang(zh) #panel{width:335px}#container:lang(es) .switch{width:225px!important}#container:not(:lang(en)):not(:lang(de)) .switch{width:205px}'+C,this.shadowRoot.appendChild(e);const n="On"===u.getItem("sa11y-remember-contrast"),o="On"===u.getItem("sa11y-remember-labels"),a="On"===u.getItem("sa11y-remember-links-advanced"),r="On"===u.getItem("sa11y-remember-readability"),s=i.Global.checkAllHideToggles,{panelPosition:l}=i.Global,d=i.Global.contrastPlugin?`\n      <li id="contrast-item" ${s?"hidden":""}>\n        <label id="check-contrast" for="contrast-toggle">${t._("CONTRAST")}</label>\n        <button id="contrast-toggle"\n          aria-labelledby="check-contrast"\n          class="switch"\n          aria-pressed="${n?"true":"false"}">${n?t._("ON"):t._("OFF")}</button>\n      </li>`:"",c=i.Global.formLabelsPlugin?`\n      <li id="form-labels-item" ${s?"hidden":""}>\n        <label id="check-labels" for="labels-toggle">${t._("FORM_LABELS")}</label>\n        <button id="labels-toggle"\n          aria-labelledby="check-labels"\n          class="switch"\n          aria-pressed="${o?"true":"false"}">${o?t._("ON"):t._("OFF")}</button>\n      </li>`:"",p=i.Global.linksAdvancedPlugin?`\n      <li id="links-advanced-item" ${s?"hidden":""}>\n        <label id="check-changerequest" for="links-advanced-toggle">${t._("LINKS_ADVANCED")} <span class="badge">AAA</span></label>\n        <button id="links-advanced-toggle"\n          aria-labelledby="check-changerequest"\n          class="switch"\n          aria-pressed="${a?"true":"false"}">${a?t._("ON"):t._("OFF")}</button>\n      </li>`:"",g=i.Readability.Plugin?`\n      <li id="readability-item">\n        <label id="check-readability" for="readability-toggle">${t._("LANG_READABILITY")} <span class="badge">AAA</span></label>\n        <button id="readability-toggle"\n          aria-labelledby="check-readability"\n          class="switch"\n          aria-pressed="${r?"true":"false"}">${r?t._("ON"):t._("OFF")}</button>\n      </li>`:"",f=i.Global.colourFilterPlugin?`\n      <li id="colour-filter-item">\n        <label id="colour-filter-mode" for="colour-filter">${t._("COLOUR_FILTER")}</label>\n        <div class="select-dropdown">\n          <select id="colour-filter-select">\n            <option value="0">${t._("OFF")}</option>\n            <option value="1">${t._("PROTANOPIA")}</option>\n            <option value="2">${t._("DEUTERANOPIA")}</option>\n            <option value="3">${t._("TRITANOPIA")}</option>\n            <option value="4">${t._("MONOCHROMACY")}</option>\n          </select>\n        </div>\n      </li>`:"",m=i.Global.colourFilterPlugin?`\n      <div id="panel-colour-filters" role="region" aria-labelledby="colour-filter-mode">\n        <div id="filter-icon" class="panel-icon" role="img"></div>\n        <p>${t._("COLOUR_FILTER_MESSAGE")}</p>\n      </div>`:"",b=i.Global.exportResultsPlugin?`\n      <li id="export-results-item">\n        <span id="export-results-mode">${t._("EXPORT_RESULTS")}</span>\n        <button id="export-csv" class="switch" aria-describedby="export-results-mode">\n          <span>CSV</span>\n        </button>\n        <button id="export-html" class="switch" aria-describedby="export-results-mode">\n          <span>HTML</span>\n        </button>\n      </li>`:"",h=`\n      <button type="button" aria-expanded="false" id="toggle" aria-describedby="notification-badge" aria-label="${t._("MAIN_TOGGLE_LABEL")}" class="${l}" disabled>\n        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M256 48c114.953 0 208 93.029 208 208 0 114.953-93.029 208-208 208-114.953 0-208-93.029-208-208 0-114.953 93.029-208 208-208m0-40C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 56C149.961 64 64 149.961 64 256s85.961 192 192 192 192-85.961 192-192S362.039 64 256 64zm0 44c19.882 0 36 16.118 36 36s-16.118 36-36 36-36-16.118-36-36 16.118-36 36-36zm117.741 98.023c-28.712 6.779-55.511 12.748-82.14 15.807.851 101.023 12.306 123.052 25.037 155.621 3.617 9.26-.957 19.698-10.217 23.315-9.261 3.617-19.699-.957-23.316-10.217-8.705-22.308-17.086-40.636-22.261-78.549h-9.686c-5.167 37.851-13.534 56.208-22.262 78.549-3.615 9.255-14.05 13.836-23.315 10.217-9.26-3.617-13.834-14.056-10.217-23.315 12.713-32.541 24.185-54.541 25.037-155.621-26.629-3.058-53.428-9.027-82.141-15.807-8.6-2.031-13.926-10.648-11.895-19.249s10.647-13.926 19.249-11.895c96.686 22.829 124.283 22.783 220.775 0 8.599-2.03 17.218 3.294 19.249 11.895 2.029 8.601-3.297 17.219-11.897 19.249z"/></svg>\n        <div id="notification-badge">\n          <span id="notification-count"></span>\n          <span id="notification-text" class="visually-hidden"></span>\n        </div>\n      </button>`,y=`\n      <div id="page-issues">\n        <div class="panel-header">\n          <h2 id="page-issues-header" tabindex="-1">${t._("PAGE_ISSUES")}</h2>\n        </div>\n        <div id="page-issues-content">\n          <ul id="page-issues-list" role="list" aria-labelledby="page-issues-header"></ul>\n        </div>\n      </div>`,v=`\n      <div id="outline-panel" role="tabpanel" aria-labelledby="outline-header">\n        <div class="panel-header">\n          <h2 id="outline-header" tabindex="-1">${t._("OUTLINE")}</h2>\n        </div>\n        <div id="outline-content">\n          <ul\n            id="outline-list"\n            tabindex="0"\n            role="list"\n            aria-labelledby="outline-header"></ul>\n        </div>\n        <div id="readability-panel">\n          <div id="readability-content">\n            <h2 class="header-text-inline">${t._("LANG_READABILITY")}</h2>\n            <p id="readability-info"></p>\n            <ul id="readability-details"></ul>\n          </div>\n        </div>\n      </div>`,x=`\n      <div id="settings-panel" role="tabpanel" aria-labelledby="settings-header">\n        <div class="panel-header">\n          <h2 id="settings-header" tabindex="-1">${t._("SETTINGS")}</h2>\n        </div>\n        <div id="settings-content">\n          <ul id="settings-options">\n            ${d}\n            ${c}\n            ${p}\n            ${g}\n            <li id="dark-mode-item">\n              <label id="dark-mode" for="theme-toggle">${t._("DARK_MODE")}</label>\n              <button id="theme-toggle"\n                aria-labelledby="dark-mode"\n                class="switch"></button>\n            </li>\n            ${b}\n            ${f}\n          </ul>\n        </div>\n      </div>`,A=`\n      <div\n        id="panel-alert"\n        role="alertdialog"\n        aria-labelledby="alert-heading"\n        aria-describedby="panel-alert-text">\n        <div id="panel-alert-content">\n          <div class="header-text">\n            <button id="close-alert" class="close-btn" aria-label="${t._("ALERT_CLOSE")}"></button>\n            <h2 id="alert-heading">${t._("ALERT_TEXT")}</h2>\n          </div>\n          <p id="panel-alert-text"></p>\n          <div id="panel-alert-preview"></div>\n        </div>\n      </div>`,w=`\n      <div id="panel-content">\n        <button id="skip-to-page-issues" type="button">\n          ${t._("SKIP_TO_PAGE_ISSUES")}\n        </button>\n        <button id="skip-button" type="button">\n          <div class="panel-icon"></div>\n          <span class="visually-hidden">${t._("SHORTCUT_SCREEN_READER")}</span>\n        </button>\n        <button id="dismiss-button" type="button">\n          <div class="dismiss-icon"></div>\n          <span id="dismiss-tooltip" class="visually-hidden"></span>\n        </button>\n        <div id="panel-text">\n          <h1 class="visually-hidden">${t._("PANEL_HEADING")}</h1>\n          <p id="status" aria-live="polite"></p>\n        </div>\n      </div>`,E=`\n      <div id="panel-controls" role="tablist" aria-orientation="horizontal">\n        ${"left"===l?'<div style="width:40px"></div>':""}\n        <button type="button" role="tab" aria-expanded="false" id="outline-toggle" aria-controls="outline-panel">${t._("OUTLINE")}</button>\n        <button type="button" role="tab" aria-expanded="false" id="settings-toggle" aria-controls="settings-panel">${t._("SETTINGS")}</button>\n        ${"right"===l?'<div style="width:40px"></div>':""}\n      </div>`,L=document.createElement("div");L.setAttribute("id","container"),L.setAttribute("role","region"),L.setAttribute("lang",t._("LANG_CODE")),L.setAttribute("aria-label",t._("CONTAINER_LABEL")),L.setAttribute("dir",i.Global.langDirection),L.innerHTML="top-left"===l||"top-right"===l?`\n        ${h}\n        <div id="panel" class="${l}">\n          ${w}\n          ${m}\n          ${E}\n          ${v}\n          ${x}\n          ${A}\n          ${y}\n        </div>`:`\n        ${h}\n        <div id="panel" class="${l}">\n          ${y}\n          ${v}\n          ${x}\n          ${A}\n          ${m}\n          ${w}\n          ${E}\n        </div>`,this.shadowRoot.appendChild(L),i.initializePanelSelectors()}}function N(e,n,a){const r=[];return e.map((e=>{const t=n.find((t=>e.key.includes(t.dismiss)&&e.href===window.location.pathname));return void 0===t?"":t})).forEach((e=>{Object.assign(e,{dismissedHeading:!0})})),n.forEach((e=>{const n=e.element,o=e.headingLevel,s=e.text,l=e.index,d=e.type,c=e.hidden,p=e.visibleParent,g=e.dismissedHeading,{isWithinRoot:f}=e;if(!(i.Exclusions.Outline?Array.from(document.querySelectorAll(i.Exclusions.Outline)):[]).includes(n)){const e=!0===c?'<span class="hidden-icon"></span><span class="visually-hidden">Hidden</span>':"",i=!0===c?'class="hidden-h"':"",m=!0===a?"H":"";let b;"error"===d&&!0===f?(b=`\n        <li class="outline-${o}">\n          <a role="button" id="sa11y-link-${l}" tabindex="-1" ${i}>\n            <span class="badge error-badge">\n            <span aria-hidden="true">${e}\n              <span class="error-icon"></span>\n            </span>\n            <span class="visually-hidden">${t._("ERROR")}</span> ${m+o}</span>\n            <strong class="outline-list-item red-text">${s}</strong>\n          </a>\n        </li>`,r.push(b)):"warning"!==d||g||!0!==f?(b=`\n        <li class="outline-${o}">\n          <a role="button" id="sa11y-link-${l}" tabindex="-1" ${i}>\n            <span class="badge">${e} ${m+o}</span>\n            <span class="outline-list-item">${s}</span>\n          </a>\n        </li>`,r.push(b)):(b=`\n        <li class="outline-${o}">\n          <a role="button" id="sa11y-link-${l}" tabindex="-1" ${i}>\n            <span class="badge warning-badge">\n            <span aria-hidden="true">${e} &#x3f;</span>\n            <span class="visually-hidden">${t._("WARNING")}</span> ${m+o}</span>\n            <strong class="outline-list-item yellow-text">${s}</strong>\n          </a>\n        </li>`,r.push(b));const h=document.createElement("sa11y-heading-label"),y=document.createElement("sa11y-heading-anchor");if(h.hidden=!0,null!==p){n.insertAdjacentElement("beforeend",h);const e=p.previousElementSibling;y.setAttribute("id",`sa11y-h${l}`),e?(e.insertAdjacentElement("beforebegin",y),e.setAttribute("data-sa11y-parent",`h${l}`)):(p.parentNode.insertAdjacentElement("beforebegin",y),p.parentNode.setAttribute("data-sa11y-parent",`h${l}`))}else n.insertAdjacentElement("beforeend",h),h.insertAdjacentElement("beforebegin",y),y.setAttribute("id",`sa11y-h${l}`);const v=document.createElement("span");v.classList.add("heading-label"),v.innerHTML=`H${o}`,h.shadowRoot.appendChild(v),"Opened"===u.getItem("sa11y-remember-outline")&&(h.hidden=!1)}})),i.Panel.outlineList.innerHTML=0===r.length?`<li>${t._("PANEL_NO_HEADINGS")}</li>`:r.join(" "),setTimeout((()=>{const e=document.querySelector("sa11y-control-panel").shadowRoot,n=Array.from(e.querySelectorAll("#outline-list a"));n.forEach(((n,a)=>{const r=e.getElementById(`sa11y-link-${a}`),s=o(`#sa11y-h${a}, [data-sa11y-parent="h${a}"]`,"document",i.Exclusions.Container),l=e=>{("keyup"===e.type&&"Enter"===e.code||"click"===e.type)&&(s.forEach((e=>{(e=>{g(e.parentElement),e.scrollIntoView({behavior:`${i.Global.scrollBehaviour}`,block:"center"})})(e)})),r.classList.contains("hidden-h")?b(`${t._("HEADING_NOT_VISIBLE_ALERT")}`):i.Panel.alert.classList.contains("active")&&m()),e.preventDefault()};r?.addEventListener("click",l,!1),r?.addEventListener("keyup",l,!1)}));let a=0;const r=e=>{if(!["ArrowUp","ArrowDown","Space"].includes(e.code))return;if("Space"===e.code)return void n[a].click();let t;n[a].setAttribute("tabindex",-1),"ArrowDown"===e.code?(t=a+1,a===n.length-1&&(t=0)):"ArrowUp"===e.code&&(t=a-1,0===a&&(t=n.length-1)),n[t].setAttribute("tabindex",0),n[t].focus(),a=t,e.preventDefault()};i.Panel.outlineList.addEventListener("focus",(()=>{n.length>0&&(i.Panel.outlineList.setAttribute("tabindex",-1),n[a].setAttribute("tabindex",0),n[a].focus()),i.Panel.outlineList.addEventListener("keydown",r)})),i.Panel.outlineList.addEventListener("blur",(()=>{i.Panel.outlineList.removeEventListener("keydown",r)}))}),0),e}var D="top",M="bottom",G="right",B="left",H="auto",F=[D,M,G,B],U="start",j="end",z="clippingParents",q="viewport",W="popper",V="reference",Q=F.reduce((function(e,t){return e.concat([t+"-"+U,t+"-"+j])}),[]),K=[].concat(F,[H]).reduce((function(e,t){return e.concat([t,t+"-"+U,t+"-"+j])}),[]),Y=["beforeRead","read","afterRead","beforeMain","main","afterMain","beforeWrite","write","afterWrite"];function X(e){return e?(e.nodeName||"").toLowerCase():null}function Z(e){if(null==e)return window;if("[object Window]"!==e.toString()){var t=e.ownerDocument;return t&&t.defaultView||window}return e}function J(e){return e instanceof Z(e).Element||e instanceof Element}function ee(e){return e instanceof Z(e).HTMLElement||e instanceof HTMLElement}function te(e){return"undefined"!=typeof ShadowRoot&&(e instanceof Z(e).ShadowRoot||e instanceof ShadowRoot)}var ne={name:"applyStyles",enabled:!0,phase:"write",fn:function(e){var t=e.state;Object.keys(t.elements).forEach((function(e){var n=t.styles[e]||{},i=t.attributes[e]||{},o=t.elements[e];ee(o)&&X(o)&&(Object.assign(o.style,n),Object.keys(i).forEach((function(e){var t=i[e];!1===t?o.removeAttribute(e):o.setAttribute(e,!0===t?"":t)})))}))},effect:function(e){var t=e.state,n={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};return Object.assign(t.elements.popper.style,n.popper),t.styles=n,t.elements.arrow&&Object.assign(t.elements.arrow.style,n.arrow),function(){Object.keys(t.elements).forEach((function(e){var i=t.elements[e],o=t.attributes[e]||{},a=Object.keys(t.styles.hasOwnProperty(e)?t.styles[e]:n[e]).reduce((function(e,t){return e[t]="",e}),{});ee(i)&&X(i)&&(Object.assign(i.style,a),Object.keys(o).forEach((function(e){i.removeAttribute(e)})))}))}},requires:["computeStyles"]};function ie(e){return e.split("-")[0]}var oe=Math.max,ae=Math.min,re=Math.round;function se(){var e=navigator.userAgentData;return null!=e&&e.brands&&Array.isArray(e.brands)?e.brands.map((function(e){return e.brand+"/"+e.version})).join(" "):navigator.userAgent}function le(){return!/^((?!chrome|android).)*safari/i.test(se())}function de(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!1);var i=e.getBoundingClientRect(),o=1,a=1;t&&ee(e)&&(o=e.offsetWidth>0&&re(i.width)/e.offsetWidth||1,a=e.offsetHeight>0&&re(i.height)/e.offsetHeight||1);var r=(J(e)?Z(e):window).visualViewport,s=!le()&&n,l=(i.left+(s&&r?r.offsetLeft:0))/o,d=(i.top+(s&&r?r.offsetTop:0))/a,c=i.width/o,p=i.height/a;return{width:c,height:p,top:d,right:l+c,bottom:d+p,left:l,x:l,y:d}}function ce(e){var t=de(e),n=e.offsetWidth,i=e.offsetHeight;return Math.abs(t.width-n)<=1&&(n=t.width),Math.abs(t.height-i)<=1&&(i=t.height),{x:e.offsetLeft,y:e.offsetTop,width:n,height:i}}function pe(e,t){var n=t.getRootNode&&t.getRootNode();if(e.contains(t))return!0;if(n&&te(n)){var i=t;do{if(i&&e.isSameNode(i))return!0;i=i.parentNode||i.host}while(i)}return!1}function ue(e){return Z(e).getComputedStyle(e)}function ge(e){return["table","td","th"].indexOf(X(e))>=0}function fe(e){return((J(e)?e.ownerDocument:e.document)||window.document).documentElement}function me(e){return"html"===X(e)?e:e.assignedSlot||e.parentNode||(te(e)?e.host:null)||fe(e)}function be(e){return ee(e)&&"fixed"!==ue(e).position?e.offsetParent:null}function he(e){for(var t=Z(e),n=be(e);n&&ge(n)&&"static"===ue(n).position;)n=be(n);return n&&("html"===X(n)||"body"===X(n)&&"static"===ue(n).position)?t:n||function(e){var t=/firefox/i.test(se());if(/Trident/i.test(se())&&ee(e)&&"fixed"===ue(e).position)return null;var n=me(e);for(te(n)&&(n=n.host);ee(n)&&["html","body"].indexOf(X(n))<0;){var i=ue(n);if("none"!==i.transform||"none"!==i.perspective||"paint"===i.contain||-1!==["transform","perspective"].indexOf(i.willChange)||t&&"filter"===i.willChange||t&&i.filter&&"none"!==i.filter)return n;n=n.parentNode}return null}(e)||t}function ye(e){return["top","bottom"].indexOf(e)>=0?"x":"y"}function ve(e,t,n){return oe(e,ae(t,n))}function xe(e){return Object.assign({},{top:0,right:0,bottom:0,left:0},e)}function Ae(e,t){return t.reduce((function(t,n){return t[n]=e,t}),{})}var we={name:"arrow",enabled:!0,phase:"main",fn:function(e){var t,n=e.state,i=e.name,o=e.options,a=n.elements.arrow,r=n.modifiersData.popperOffsets,s=ie(n.placement),l=ye(s),d=[B,G].indexOf(s)>=0?"height":"width";if(a&&r){var c=function(e,t){return xe("number"!=typeof(e="function"==typeof e?e(Object.assign({},t.rects,{placement:t.placement})):e)?e:Ae(e,F))}(o.padding,n),p=ce(a),u="y"===l?D:B,g="y"===l?M:G,f=n.rects.reference[d]+n.rects.reference[l]-r[l]-n.rects.popper[d],m=r[l]-n.rects.reference[l],b=he(a),h=b?"y"===l?b.clientHeight||0:b.clientWidth||0:0,y=f/2-m/2,v=c[u],x=h-p[d]-c[g],A=h/2-p[d]/2+y,w=ve(v,A,x),E=l;n.modifiersData[i]=((t={})[E]=w,t.centerOffset=w-A,t)}},effect:function(e){var t=e.state,n=e.options.element,i=void 0===n?"[data-popper-arrow]":n;null!=i&&("string"!=typeof i||(i=t.elements.popper.querySelector(i)))&&pe(t.elements.popper,i)&&(t.elements.arrow=i)},requires:["popperOffsets"],requiresIfExists:["preventOverflow"]};function Ee(e){return e.split("-")[1]}var Le={top:"auto",right:"auto",bottom:"auto",left:"auto"};function Ie(e){var t,n=e.popper,i=e.popperRect,o=e.placement,a=e.variation,r=e.offsets,s=e.position,l=e.gpuAcceleration,d=e.adaptive,c=e.roundOffsets,p=e.isFixed,u=r.x,g=void 0===u?0:u,f=r.y,m=void 0===f?0:f,b="function"==typeof c?c({x:g,y:m}):{x:g,y:m};g=b.x,m=b.y;var h=r.hasOwnProperty("x"),y=r.hasOwnProperty("y"),v=B,x=D,A=window;if(d){var w=he(n),E="clientHeight",L="clientWidth";if(w===Z(n)&&"static"!==ue(w=fe(n)).position&&"absolute"===s&&(E="scrollHeight",L="scrollWidth"),o===D||(o===B||o===G)&&a===j)x=M,m-=(p&&w===A&&A.visualViewport?A.visualViewport.height:w[E])-i.height,m*=l?1:-1;if(o===B||(o===D||o===M)&&a===j)v=G,g-=(p&&w===A&&A.visualViewport?A.visualViewport.width:w[L])-i.width,g*=l?1:-1}var I,k=Object.assign({position:s},d&&Le),T=!0===c?function(e,t){var n=e.x,i=e.y,o=t.devicePixelRatio||1;return{x:re(n*o)/o||0,y:re(i*o)/o||0}}({x:g,y:m},Z(n)):{x:g,y:m};return g=T.x,m=T.y,l?Object.assign({},k,((I={})[x]=y?"0":"",I[v]=h?"0":"",I.transform=(A.devicePixelRatio||1)<=1?"translate("+g+"px, "+m+"px)":"translate3d("+g+"px, "+m+"px, 0)",I)):Object.assign({},k,((t={})[x]=y?m+"px":"",t[v]=h?g+"px":"",t.transform="",t))}var ke={passive:!0};var Te={left:"right",right:"left",bottom:"top",top:"bottom"};function _e(e){return e.replace(/left|right|bottom|top/g,(function(e){return Te[e]}))}var Se={start:"end",end:"start"};function Pe(e){return e.replace(/start|end/g,(function(e){return Se[e]}))}function Oe(e){var t=Z(e);return{scrollLeft:t.pageXOffset,scrollTop:t.pageYOffset}}function Ce(e){return de(fe(e)).left+Oe(e).scrollLeft}function $e(e){var t=ue(e),n=t.overflow,i=t.overflowX,o=t.overflowY;return/auto|scroll|overlay|hidden/.test(n+o+i)}function Re(e){return["html","body","#document"].indexOf(X(e))>=0?e.ownerDocument.body:ee(e)&&$e(e)?e:Re(me(e))}function Ne(e,t){var n;void 0===t&&(t=[]);var i=Re(e),o=i===(null==(n=e.ownerDocument)?void 0:n.body),a=Z(i),r=o?[a].concat(a.visualViewport||[],$e(i)?i:[]):i,s=t.concat(r);return o?s:s.concat(Ne(me(r)))}function De(e){return Object.assign({},e,{left:e.x,top:e.y,right:e.x+e.width,bottom:e.y+e.height})}function Me(e,t,n){return t===q?De(function(e,t){var n=Z(e),i=fe(e),o=n.visualViewport,a=i.clientWidth,r=i.clientHeight,s=0,l=0;if(o){a=o.width,r=o.height;var d=le();(d||!d&&"fixed"===t)&&(s=o.offsetLeft,l=o.offsetTop)}return{width:a,height:r,x:s+Ce(e),y:l}}(e,n)):J(t)?function(e,t){var n=de(e,!1,"fixed"===t);return n.top=n.top+e.clientTop,n.left=n.left+e.clientLeft,n.bottom=n.top+e.clientHeight,n.right=n.left+e.clientWidth,n.width=e.clientWidth,n.height=e.clientHeight,n.x=n.left,n.y=n.top,n}(t,n):De(function(e){var t,n=fe(e),i=Oe(e),o=null==(t=e.ownerDocument)?void 0:t.body,a=oe(n.scrollWidth,n.clientWidth,o?o.scrollWidth:0,o?o.clientWidth:0),r=oe(n.scrollHeight,n.clientHeight,o?o.scrollHeight:0,o?o.clientHeight:0),s=-i.scrollLeft+Ce(e),l=-i.scrollTop;return"rtl"===ue(o||n).direction&&(s+=oe(n.clientWidth,o?o.clientWidth:0)-a),{width:a,height:r,x:s,y:l}}(fe(e)))}function Ge(e,t,n,i){var o="clippingParents"===t?function(e){var t=Ne(me(e)),n=["absolute","fixed"].indexOf(ue(e).position)>=0&&ee(e)?he(e):e;return J(n)?t.filter((function(e){return J(e)&&pe(e,n)&&"body"!==X(e)})):[]}(e):[].concat(t),a=[].concat(o,[n]),r=a[0],s=a.reduce((function(t,n){var o=Me(e,n,i);return t.top=oe(o.top,t.top),t.right=ae(o.right,t.right),t.bottom=ae(o.bottom,t.bottom),t.left=oe(o.left,t.left),t}),Me(e,r,i));return s.width=s.right-s.left,s.height=s.bottom-s.top,s.x=s.left,s.y=s.top,s}function Be(e){var t,n=e.reference,i=e.element,o=e.placement,a=o?ie(o):null,r=o?Ee(o):null,s=n.x+n.width/2-i.width/2,l=n.y+n.height/2-i.height/2;switch(a){case D:t={x:s,y:n.y-i.height};break;case M:t={x:s,y:n.y+n.height};break;case G:t={x:n.x+n.width,y:l};break;case B:t={x:n.x-i.width,y:l};break;default:t={x:n.x,y:n.y}}var d=a?ye(a):null;if(null!=d){var c="y"===d?"height":"width";switch(r){case U:t[d]=t[d]-(n[c]/2-i[c]/2);break;case j:t[d]=t[d]+(n[c]/2-i[c]/2)}}return t}function He(e,t){void 0===t&&(t={});var n=t,i=n.placement,o=void 0===i?e.placement:i,a=n.strategy,r=void 0===a?e.strategy:a,s=n.boundary,l=void 0===s?z:s,d=n.rootBoundary,c=void 0===d?q:d,p=n.elementContext,u=void 0===p?W:p,g=n.altBoundary,f=void 0!==g&&g,m=n.padding,b=void 0===m?0:m,h=xe("number"!=typeof b?b:Ae(b,F)),y=u===W?V:W,v=e.rects.popper,x=e.elements[f?y:u],A=Ge(J(x)?x:x.contextElement||fe(e.elements.popper),l,c,r),w=de(e.elements.reference),E=Be({reference:w,element:v,strategy:"absolute",placement:o}),L=De(Object.assign({},v,E)),I=u===W?L:w,k={top:A.top-I.top+h.top,bottom:I.bottom-A.bottom+h.bottom,left:A.left-I.left+h.left,right:I.right-A.right+h.right},T=e.modifiersData.offset;if(u===W&&T){var _=T[o];Object.keys(k).forEach((function(e){var t=[G,M].indexOf(e)>=0?1:-1,n=[D,M].indexOf(e)>=0?"y":"x";k[e]+=_[n]*t}))}return k}function Fe(e,t){void 0===t&&(t={});var n=t,i=n.placement,o=n.boundary,a=n.rootBoundary,r=n.padding,s=n.flipVariations,l=n.allowedAutoPlacements,d=void 0===l?K:l,c=Ee(i),p=c?s?Q:Q.filter((function(e){return Ee(e)===c})):F,u=p.filter((function(e){return d.indexOf(e)>=0}));0===u.length&&(u=p);var g=u.reduce((function(t,n){return t[n]=He(e,{placement:n,boundary:o,rootBoundary:a,padding:r})[ie(n)],t}),{});return Object.keys(g).sort((function(e,t){return g[e]-g[t]}))}var Ue={name:"flip",enabled:!0,phase:"main",fn:function(e){var t=e.state,n=e.options,i=e.name;if(!t.modifiersData[i]._skip){for(var o=n.mainAxis,a=void 0===o||o,r=n.altAxis,s=void 0===r||r,l=n.fallbackPlacements,d=n.padding,c=n.boundary,p=n.rootBoundary,u=n.altBoundary,g=n.flipVariations,f=void 0===g||g,m=n.allowedAutoPlacements,b=t.options.placement,h=ie(b),y=l||(h===b||!f?[_e(b)]:function(e){if(ie(e)===H)return[];var t=_e(e);return[Pe(e),t,Pe(t)]}(b)),v=[b].concat(y).reduce((function(e,n){return e.concat(ie(n)===H?Fe(t,{placement:n,boundary:c,rootBoundary:p,padding:d,flipVariations:f,allowedAutoPlacements:m}):n)}),[]),x=t.rects.reference,A=t.rects.popper,w=new Map,E=!0,L=v[0],I=0;I<v.length;I++){var k=v[I],T=ie(k),_=Ee(k)===U,S=[D,M].indexOf(T)>=0,P=S?"width":"height",O=He(t,{placement:k,boundary:c,rootBoundary:p,altBoundary:u,padding:d}),C=S?_?G:B:_?M:D;x[P]>A[P]&&(C=_e(C));var $=_e(C),R=[];if(a&&R.push(O[T]<=0),s&&R.push(O[C]<=0,O[$]<=0),R.every((function(e){return e}))){L=k,E=!1;break}w.set(k,R)}if(E)for(var N=function(e){var t=v.find((function(t){var n=w.get(t);if(n)return n.slice(0,e).every((function(e){return e}))}));if(t)return L=t,"break"},F=f?3:1;F>0;F--){if("break"===N(F))break}t.placement!==L&&(t.modifiersData[i]._skip=!0,t.placement=L,t.reset=!0)}},requiresIfExists:["offset"],data:{_skip:!1}};function je(e,t,n){return void 0===n&&(n={x:0,y:0}),{top:e.top-t.height-n.y,right:e.right-t.width+n.x,bottom:e.bottom-t.height+n.y,left:e.left-t.width-n.x}}function ze(e){return[D,G,M,B].some((function(t){return e[t]>=0}))}var qe={name:"offset",enabled:!0,phase:"main",requires:["popperOffsets"],fn:function(e){var t=e.state,n=e.options,i=e.name,o=n.offset,a=void 0===o?[0,0]:o,r=K.reduce((function(e,n){return e[n]=function(e,t,n){var i=ie(e),o=[B,D].indexOf(i)>=0?-1:1,a="function"==typeof n?n(Object.assign({},t,{placement:e})):n,r=a[0],s=a[1];return r=r||0,s=(s||0)*o,[B,G].indexOf(i)>=0?{x:s,y:r}:{x:r,y:s}}(n,t.rects,a),e}),{}),s=r[t.placement],l=s.x,d=s.y;null!=t.modifiersData.popperOffsets&&(t.modifiersData.popperOffsets.x+=l,t.modifiersData.popperOffsets.y+=d),t.modifiersData[i]=r}};var We={name:"preventOverflow",enabled:!0,phase:"main",fn:function(e){var t=e.state,n=e.options,i=e.name,o=n.mainAxis,a=void 0===o||o,r=n.altAxis,s=void 0!==r&&r,l=n.boundary,d=n.rootBoundary,c=n.altBoundary,p=n.padding,u=n.tether,g=void 0===u||u,f=n.tetherOffset,m=void 0===f?0:f,b=He(t,{boundary:l,rootBoundary:d,padding:p,altBoundary:c}),h=ie(t.placement),y=Ee(t.placement),v=!y,x=ye(h),A="x"===x?"y":"x",w=t.modifiersData.popperOffsets,E=t.rects.reference,L=t.rects.popper,I="function"==typeof m?m(Object.assign({},t.rects,{placement:t.placement})):m,k="number"==typeof I?{mainAxis:I,altAxis:I}:Object.assign({mainAxis:0,altAxis:0},I),T=t.modifiersData.offset?t.modifiersData.offset[t.placement]:null,_={x:0,y:0};if(w){if(a){var S,P="y"===x?D:B,O="y"===x?M:G,C="y"===x?"height":"width",$=w[x],R=$+b[P],N=$-b[O],H=g?-L[C]/2:0,F=y===U?E[C]:L[C],j=y===U?-L[C]:-E[C],z=t.elements.arrow,q=g&&z?ce(z):{width:0,height:0},W=t.modifiersData["arrow#persistent"]?t.modifiersData["arrow#persistent"].padding:{top:0,right:0,bottom:0,left:0},V=W[P],Q=W[O],K=ve(0,E[C],q[C]),Y=v?E[C]/2-H-K-V-k.mainAxis:F-K-V-k.mainAxis,X=v?-E[C]/2+H+K+Q+k.mainAxis:j+K+Q+k.mainAxis,Z=t.elements.arrow&&he(t.elements.arrow),J=Z?"y"===x?Z.clientTop||0:Z.clientLeft||0:0,ee=null!=(S=null==T?void 0:T[x])?S:0,te=$+X-ee,ne=ve(g?ae(R,$+Y-ee-J):R,$,g?oe(N,te):N);w[x]=ne,_[x]=ne-$}if(s){var re,se="x"===x?D:B,le="x"===x?M:G,de=w[A],pe="y"===A?"height":"width",ue=de+b[se],ge=de-b[le],fe=-1!==[D,B].indexOf(h),me=null!=(re=null==T?void 0:T[A])?re:0,be=fe?ue:de-E[pe]-L[pe]-me+k.altAxis,xe=fe?de+E[pe]+L[pe]-me-k.altAxis:ge,Ae=g&&fe?function(e,t,n){var i=ve(e,t,n);return i>n?n:i}(be,de,xe):ve(g?be:ue,de,g?xe:ge);w[A]=Ae,_[A]=Ae-de}t.modifiersData[i]=_}},requiresIfExists:["offset"]};function Ve(e,t,n){void 0===n&&(n=!1);var i,o,a=ee(t),r=ee(t)&&function(e){var t=e.getBoundingClientRect(),n=re(t.width)/e.offsetWidth||1,i=re(t.height)/e.offsetHeight||1;return 1!==n||1!==i}(t),s=fe(t),l=de(e,r,n),d={scrollLeft:0,scrollTop:0},c={x:0,y:0};return(a||!a&&!n)&&(("body"!==X(t)||$e(s))&&(d=(i=t)!==Z(i)&&ee(i)?{scrollLeft:(o=i).scrollLeft,scrollTop:o.scrollTop}:Oe(i)),ee(t)?((c=de(t,!0)).x+=t.clientLeft,c.y+=t.clientTop):s&&(c.x=Ce(s))),{x:l.left+d.scrollLeft-c.x,y:l.top+d.scrollTop-c.y,width:l.width,height:l.height}}function Qe(e){var t=new Map,n=new Set,i=[];function o(e){n.add(e.name),[].concat(e.requires||[],e.requiresIfExists||[]).forEach((function(e){if(!n.has(e)){var i=t.get(e);i&&o(i)}})),i.push(e)}return e.forEach((function(e){t.set(e.name,e)})),e.forEach((function(e){n.has(e.name)||o(e)})),i}var Ke={placement:"bottom",modifiers:[],strategy:"absolute"};function Ye(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return!t.some((function(e){return!(e&&"function"==typeof e.getBoundingClientRect)}))}function Xe(e){void 0===e&&(e={});var t=e,n=t.defaultModifiers,i=void 0===n?[]:n,o=t.defaultOptions,a=void 0===o?Ke:o;return function(e,t,n){void 0===n&&(n=a);var o,r,s={placement:"bottom",orderedModifiers:[],options:Object.assign({},Ke,a),modifiersData:{},elements:{reference:e,popper:t},attributes:{},styles:{}},l=[],d=!1,c={state:s,setOptions:function(n){var o="function"==typeof n?n(s.options):n;p(),s.options=Object.assign({},a,s.options,o),s.scrollParents={reference:J(e)?Ne(e):e.contextElement?Ne(e.contextElement):[],popper:Ne(t)};var r,d,u=function(e){var t=Qe(e);return Y.reduce((function(e,n){return e.concat(t.filter((function(e){return e.phase===n})))}),[])}((r=[].concat(i,s.options.modifiers),d=r.reduce((function(e,t){var n=e[t.name];return e[t.name]=n?Object.assign({},n,t,{options:Object.assign({},n.options,t.options),data:Object.assign({},n.data,t.data)}):t,e}),{}),Object.keys(d).map((function(e){return d[e]}))));return s.orderedModifiers=u.filter((function(e){return e.enabled})),s.orderedModifiers.forEach((function(e){var t=e.name,n=e.options,i=void 0===n?{}:n,o=e.effect;if("function"==typeof o){var a=o({state:s,name:t,instance:c,options:i}),r=function(){};l.push(a||r)}})),c.update()},forceUpdate:function(){if(!d){var e=s.elements,t=e.reference,n=e.popper;if(Ye(t,n)){s.rects={reference:Ve(t,he(n),"fixed"===s.options.strategy),popper:ce(n)},s.reset=!1,s.placement=s.options.placement,s.orderedModifiers.forEach((function(e){return s.modifiersData[e.name]=Object.assign({},e.data)}));for(var i=0;i<s.orderedModifiers.length;i++)if(!0!==s.reset){var o=s.orderedModifiers[i],a=o.fn,r=o.options,l=void 0===r?{}:r,p=o.name;"function"==typeof a&&(s=a({state:s,options:l,name:p,instance:c})||s)}else s.reset=!1,i=-1}}},update:(o=function(){return new Promise((function(e){c.forceUpdate(),e(s)}))},function(){return r||(r=new Promise((function(e){Promise.resolve().then((function(){r=void 0,e(o())}))}))),r}),destroy:function(){p(),d=!0}};if(!Ye(e,t))return c;function p(){l.forEach((function(e){return e()})),l=[]}return c.setOptions(n).then((function(e){!d&&n.onFirstUpdate&&n.onFirstUpdate(e)})),c}}var Ze=Xe({defaultModifiers:[{name:"eventListeners",enabled:!0,phase:"write",fn:function(){},effect:function(e){var t=e.state,n=e.instance,i=e.options,o=i.scroll,a=void 0===o||o,r=i.resize,s=void 0===r||r,l=Z(t.elements.popper),d=[].concat(t.scrollParents.reference,t.scrollParents.popper);return a&&d.forEach((function(e){e.addEventListener("scroll",n.update,ke)})),s&&l.addEventListener("resize",n.update,ke),function(){a&&d.forEach((function(e){e.removeEventListener("scroll",n.update,ke)})),s&&l.removeEventListener("resize",n.update,ke)}},data:{}},{name:"popperOffsets",enabled:!0,phase:"read",fn:function(e){var t=e.state,n=e.name;t.modifiersData[n]=Be({reference:t.rects.reference,element:t.rects.popper,strategy:"absolute",placement:t.placement})},data:{}},{name:"computeStyles",enabled:!0,phase:"beforeWrite",fn:function(e){var t=e.state,n=e.options,i=n.gpuAcceleration,o=void 0===i||i,a=n.adaptive,r=void 0===a||a,s=n.roundOffsets,l=void 0===s||s,d={placement:ie(t.placement),variation:Ee(t.placement),popper:t.elements.popper,popperRect:t.rects.popper,gpuAcceleration:o,isFixed:"fixed"===t.options.strategy};null!=t.modifiersData.popperOffsets&&(t.styles.popper=Object.assign({},t.styles.popper,Ie(Object.assign({},d,{offsets:t.modifiersData.popperOffsets,position:t.options.strategy,adaptive:r,roundOffsets:l})))),null!=t.modifiersData.arrow&&(t.styles.arrow=Object.assign({},t.styles.arrow,Ie(Object.assign({},d,{offsets:t.modifiersData.arrow,position:"absolute",adaptive:!1,roundOffsets:l})))),t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-placement":t.placement})},data:{}},ne,qe,Ue,We,we,{name:"hide",enabled:!0,phase:"main",requiresIfExists:["preventOverflow"],fn:function(e){var t=e.state,n=e.name,i=t.rects.reference,o=t.rects.popper,a=t.modifiersData.preventOverflow,r=He(t,{elementContext:"reference"}),s=He(t,{altBoundary:!0}),l=je(r,i),d=je(s,o,a),c=ze(l),p=ze(d);t.modifiersData[n]={referenceClippingOffsets:l,popperEscapeOffsets:d,isReferenceHidden:c,hasPopperEscaped:p},t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-reference-hidden":c,"data-popper-escaped":p})}}]}),Je="tippy-content",et="tippy-backdrop",tt="tippy-arrow",nt="tippy-svg-arrow",it={passive:!0,capture:!0},ot=function(){return document.body};function at(e,t,n){if(Array.isArray(e)){var i=e[t];return null==i?Array.isArray(n)?n[t]:n:i}return e}function rt(e,t){var n={}.toString.call(e);return 0===n.indexOf("[object")&&n.indexOf(t+"]")>-1}function st(e,t){return"function"==typeof e?e.apply(void 0,t):e}function lt(e,t){return 0===t?e:function(i){clearTimeout(n),n=setTimeout((function(){e(i)}),t)};var n}function dt(e){return[].concat(e)}function ct(e,t){-1===e.indexOf(t)&&e.push(t)}function pt(e){return[].slice.call(e)}function ut(e){return Object.keys(e).reduce((function(t,n){return void 0!==e[n]&&(t[n]=e[n]),t}),{})}function gt(){return document.createElement("div")}function ft(e){return["Element","Fragment"].some((function(t){return rt(e,t)}))}function mt(e){return ft(e)?[e]:function(e){return rt(e,"NodeList")}(e)?pt(e):Array.isArray(e)?e:pt(document.querySelectorAll(e))}function bt(e,t){e.forEach((function(e){e&&(e.style.transitionDuration=t+"ms")}))}function ht(e,t){e.forEach((function(e){e&&e.setAttribute("data-state",t)}))}function yt(e,t,n){var i=t+"EventListener";["transitionend","webkitTransitionEnd"].forEach((function(t){e[i](t,n)}))}function vt(e,t){for(var n=t;n;){var i;if(e.contains(n))return!0;n=null==n.getRootNode||null==(i=n.getRootNode())?void 0:i.host}return!1}var xt={isTouch:!1},At=0;function wt(){xt.isTouch||(xt.isTouch=!0,window.performance&&document.addEventListener("mousemove",Et))}function Et(){var e=performance.now();e-At<20&&(xt.isTouch=!1,document.removeEventListener("mousemove",Et)),At=e}function Lt(){var e,t=document.activeElement;if((e=t)&&e._tippy&&e._tippy.reference===e){var n=t._tippy;t.blur&&!n.state.isVisible&&t.blur()}}var It=!!("undefined"!=typeof window&&"undefined"!=typeof document)&&!!window.msCrypto,kt=Object.assign({appendTo:ot,aria:{content:"auto",expanded:"auto"},delay:0,duration:[300,250],getReferenceClientRect:null,hideOnClick:!0,ignoreAttributes:!1,interactive:!1,interactiveBorder:2,interactiveDebounce:0,moveTransition:"",offset:[0,10],onAfterUpdate:function(){},onBeforeUpdate:function(){},onCreate:function(){},onDestroy:function(){},onHidden:function(){},onHide:function(){},onMount:function(){},onShow:function(){},onShown:function(){},onTrigger:function(){},onUntrigger:function(){},onClickOutside:function(){},placement:"top",plugins:[],popperOptions:{},render:null,showOnCreate:!1,touch:!0,trigger:"mouseenter focus",triggerTarget:null},{animateFill:!1,followCursor:!1,inlinePositioning:!1,sticky:!1},{allowHTML:!1,animation:"fade",arrow:!0,content:"",inertia:!1,maxWidth:350,role:"tooltip",theme:"",zIndex:9999}),Tt=Object.keys(kt);function _t(e){var t=(e.plugins||[]).reduce((function(t,n){var i,o=n.name,a=n.defaultValue;o&&(t[o]=void 0!==e[o]?e[o]:null!=(i=kt[o])?i:a);return t}),{});return Object.assign({},e,t)}function St(e,t){var n=Object.assign({},t,{content:st(t.content,[e])},t.ignoreAttributes?{}:function(e,t){return(t?Object.keys(_t(Object.assign({},kt,{plugins:t}))):Tt).reduce((function(t,n){var i=(e.getAttribute("data-tippy-"+n)||"").trim();if(!i)return t;if("content"===n)t[n]=i;else try{t[n]=JSON.parse(i)}catch(e){t[n]=i}return t}),{})}(e,t.plugins));return n.aria=Object.assign({},kt.aria,n.aria),n.aria={expanded:"auto"===n.aria.expanded?t.interactive:n.aria.expanded,content:"auto"===n.aria.content?t.interactive?null:"describedby":n.aria.content},n}var Pt=function(){return"innerHTML"};function Ot(e,t){e[Pt()]=t}function Ct(e){var t=gt();return!0===e?t.className=tt:(t.className=nt,ft(e)?t.appendChild(e):Ot(t,e)),t}function $t(e,t){ft(t.content)?(Ot(e,""),e.appendChild(t.content)):"function"!=typeof t.content&&(t.allowHTML?Ot(e,t.content):e.textContent=t.content)}function Rt(e){var t=e.firstElementChild,n=pt(t.children);return{box:t,content:n.find((function(e){return e.classList.contains(Je)})),arrow:n.find((function(e){return e.classList.contains(tt)||e.classList.contains(nt)})),backdrop:n.find((function(e){return e.classList.contains(et)}))}}function Nt(e){var t=gt(),n=gt();n.className="tippy-box",n.setAttribute("data-state","hidden"),n.setAttribute("tabindex","-1");var i=gt();function o(n,i){var o=Rt(t),a=o.box,r=o.content,s=o.arrow;i.theme?a.setAttribute("data-theme",i.theme):a.removeAttribute("data-theme"),"string"==typeof i.animation?a.setAttribute("data-animation",i.animation):a.removeAttribute("data-animation"),i.inertia?a.setAttribute("data-inertia",""):a.removeAttribute("data-inertia"),a.style.maxWidth="number"==typeof i.maxWidth?i.maxWidth+"px":i.maxWidth,i.role?a.setAttribute("role",i.role):a.removeAttribute("role"),n.content===i.content&&n.allowHTML===i.allowHTML||$t(r,e.props),i.arrow?s?n.arrow!==i.arrow&&(a.removeChild(s),a.appendChild(Ct(i.arrow))):a.appendChild(Ct(i.arrow)):s&&a.removeChild(s)}return i.className=Je,i.setAttribute("data-state","hidden"),$t(i,e.props),t.appendChild(n),n.appendChild(i),o(e.props,e.props),{popper:t,onUpdate:o}}Nt.$$tippy=!0;var Dt=1,Mt=[],Gt=[];function Bt(e,t){var n,i,o,a,r,s,l,d,c=St(e,Object.assign({},kt,_t(ut(t)))),p=!1,u=!1,g=!1,f=!1,m=[],b=lt(V,c.interactiveDebounce),h=Dt++,y=(d=c.plugins).filter((function(e,t){return d.indexOf(e)===t})),v={id:h,reference:e,popper:gt(),popperInstance:null,props:c,state:{isEnabled:!0,isVisible:!1,isDestroyed:!1,isMounted:!1,isShown:!1},plugins:y,clearDelayTimeouts:function(){clearTimeout(n),clearTimeout(i),cancelAnimationFrame(o)},setProps:function(t){if(v.state.isDestroyed)return;$("onBeforeUpdate",[v,t]),q();var n=v.props,i=St(e,Object.assign({},n,ut(t),{ignoreAttributes:!0}));v.props=i,z(),n.interactiveDebounce!==i.interactiveDebounce&&(D(),b=lt(V,i.interactiveDebounce));n.triggerTarget&&!i.triggerTarget?dt(n.triggerTarget).forEach((function(e){e.removeAttribute("aria-expanded")})):i.triggerTarget&&e.removeAttribute("aria-expanded");N(),C(),w&&w(n,i);v.popperInstance&&(X(),J().forEach((function(e){requestAnimationFrame(e._tippy.popperInstance.forceUpdate)})));$("onAfterUpdate",[v,t])},setContent:function(e){v.setProps({content:e})},show:function(){var e=v.state.isVisible,t=v.state.isDestroyed,n=!v.state.isEnabled,i=xt.isTouch&&!v.props.touch,o=at(v.props.duration,0,kt.duration);if(e||t||n||i)return;if(_().hasAttribute("disabled"))return;if($("onShow",[v],!1),!1===v.props.onShow(v))return;v.state.isVisible=!0,T()&&(A.style.visibility="visible");C(),H(),v.state.isMounted||(A.style.transition="none");if(T()){var a=P();bt([a.box,a.content],0)}s=function(){var e;if(v.state.isVisible&&!f){if(f=!0,A.offsetHeight,A.style.transition=v.props.moveTransition,T()&&v.props.animation){var t=P(),n=t.box,i=t.content;bt([n,i],o),ht([n,i],"visible")}R(),N(),ct(Gt,v),null==(e=v.popperInstance)||e.forceUpdate(),$("onMount",[v]),v.props.animation&&T()&&function(e,t){U(e,t)}(o,(function(){v.state.isShown=!0,$("onShown",[v])}))}},function(){var e,t=v.props.appendTo,n=_();e=v.props.interactive&&t===ot||"parent"===t?n.parentNode:st(t,[n]);e.contains(A)||e.appendChild(A);v.state.isMounted=!0,X()}()},hide:function(){var e=!v.state.isVisible,t=v.state.isDestroyed,n=!v.state.isEnabled,i=at(v.props.duration,1,kt.duration);if(e||t||n)return;if($("onHide",[v],!1),!1===v.props.onHide(v))return;v.state.isVisible=!1,v.state.isShown=!1,f=!1,p=!1,T()&&(A.style.visibility="hidden");if(D(),F(),C(!0),T()){var o=P(),a=o.box,r=o.content;v.props.animation&&(bt([a,r],i),ht([a,r],"hidden"))}R(),N(),v.props.animation?T()&&function(e,t){U(e,(function(){!v.state.isVisible&&A.parentNode&&A.parentNode.contains(A)&&t()}))}(i,v.unmount):v.unmount()},hideWithInteractivity:function(e){S().addEventListener("mousemove",b),ct(Mt,b),b(e)},enable:function(){v.state.isEnabled=!0},disable:function(){v.hide(),v.state.isEnabled=!1},unmount:function(){v.state.isVisible&&v.hide();if(!v.state.isMounted)return;Z(),J().forEach((function(e){e._tippy.unmount()})),A.parentNode&&A.parentNode.removeChild(A);Gt=Gt.filter((function(e){return e!==v})),v.state.isMounted=!1,$("onHidden",[v])},destroy:function(){if(v.state.isDestroyed)return;v.clearDelayTimeouts(),v.unmount(),q(),delete e._tippy,v.state.isDestroyed=!0,$("onDestroy",[v])}};if(!c.render)return v;var x=c.render(v),A=x.popper,w=x.onUpdate;A.setAttribute("data-tippy-root",""),A.id="tippy-"+v.id,v.popper=A,e._tippy=v,A._tippy=v;var E=y.map((function(e){return e.fn(v)})),L=e.hasAttribute("aria-expanded");return z(),N(),C(),$("onCreate",[v]),c.showOnCreate&&ee(),A.addEventListener("mouseenter",(function(){v.props.interactive&&v.state.isVisible&&v.clearDelayTimeouts()})),A.addEventListener("mouseleave",(function(){v.props.interactive&&v.props.trigger.indexOf("mouseenter")>=0&&S().addEventListener("mousemove",b)})),v;function I(){var e=v.props.touch;return Array.isArray(e)?e:[e,0]}function k(){return"hold"===I()[0]}function T(){var e;return!(null==(e=v.props.render)||!e.$$tippy)}function _(){return l||e}function S(){var e,t,n=_().parentNode;return n?null!=(t=dt(n)[0])&&null!=(e=t.ownerDocument)&&e.body?t.ownerDocument:document:document}function P(){return Rt(A)}function O(e){return v.state.isMounted&&!v.state.isVisible||xt.isTouch||a&&"focus"===a.type?0:at(v.props.delay,e?0:1,kt.delay)}function C(e){void 0===e&&(e=!1),A.style.pointerEvents=v.props.interactive&&!e?"":"none",A.style.zIndex=""+v.props.zIndex}function $(e,t,n){var i;(void 0===n&&(n=!0),E.forEach((function(n){n[e]&&n[e].apply(n,t)})),n)&&(i=v.props)[e].apply(i,t)}function R(){var t=v.props.aria;if(t.content){var n="aria-"+t.content,i=A.id;dt(v.props.triggerTarget||e).forEach((function(e){var t=e.getAttribute(n);if(v.state.isVisible)e.setAttribute(n,t?t+" "+i:i);else{var o=t&&t.replace(i,"").trim();o?e.setAttribute(n,o):e.removeAttribute(n)}}))}}function N(){!L&&v.props.aria.expanded&&dt(v.props.triggerTarget||e).forEach((function(e){v.props.interactive?e.setAttribute("aria-expanded",v.state.isVisible&&e===_()?"true":"false"):e.removeAttribute("aria-expanded")}))}function D(){S().removeEventListener("mousemove",b),Mt=Mt.filter((function(e){return e!==b}))}function M(t){if(!xt.isTouch||!g&&"mousedown"!==t.type){var n=t.composedPath&&t.composedPath()[0]||t.target;if(!v.props.interactive||!vt(A,n)){if(dt(v.props.triggerTarget||e).some((function(e){return vt(e,n)}))){if(xt.isTouch)return;if(v.state.isVisible&&v.props.trigger.indexOf("click")>=0)return}else $("onClickOutside",[v,t]);!0===v.props.hideOnClick&&(v.clearDelayTimeouts(),v.hide(),u=!0,setTimeout((function(){u=!1})),v.state.isMounted||F())}}}function G(){g=!0}function B(){g=!1}function H(){var e=S();e.addEventListener("mousedown",M,!0),e.addEventListener("touchend",M,it),e.addEventListener("touchstart",B,it),e.addEventListener("touchmove",G,it)}function F(){var e=S();e.removeEventListener("mousedown",M,!0),e.removeEventListener("touchend",M,it),e.removeEventListener("touchstart",B,it),e.removeEventListener("touchmove",G,it)}function U(e,t){var n=P().box;function i(e){e.target===n&&(yt(n,"remove",i),t())}if(0===e)return t();yt(n,"remove",r),yt(n,"add",i),r=i}function j(t,n,i){void 0===i&&(i=!1),dt(v.props.triggerTarget||e).forEach((function(e){e.addEventListener(t,n,i),m.push({node:e,eventType:t,handler:n,options:i})}))}function z(){var e;k()&&(j("touchstart",W,{passive:!0}),j("touchend",Q,{passive:!0})),(e=v.props.trigger,e.split(/\s+/).filter(Boolean)).forEach((function(e){if("manual"!==e)switch(j(e,W),e){case"mouseenter":j("mouseleave",Q);break;case"focus":j(It?"focusout":"blur",K);break;case"focusin":j("focusout",K)}}))}function q(){m.forEach((function(e){var t=e.node,n=e.eventType,i=e.handler,o=e.options;t.removeEventListener(n,i,o)})),m=[]}function W(e){var t,n=!1;if(v.state.isEnabled&&!Y(e)&&!u){var i="focus"===(null==(t=a)?void 0:t.type);a=e,l=e.currentTarget,N(),!v.state.isVisible&&rt(e,"MouseEvent")&&Mt.forEach((function(t){return t(e)})),"click"===e.type&&(v.props.trigger.indexOf("mouseenter")<0||p)&&!1!==v.props.hideOnClick&&v.state.isVisible?n=!0:ee(e),"click"===e.type&&(p=!n),n&&!i&&te(e)}}function V(e){var t=e.target,n=_().contains(t)||A.contains(t);if("mousemove"!==e.type||!n){var i=J().concat(A).map((function(e){var t,n=null==(t=e._tippy.popperInstance)?void 0:t.state;return n?{popperRect:e.getBoundingClientRect(),popperState:n,props:c}:null})).filter(Boolean);(function(e,t){var n=t.clientX,i=t.clientY;return e.every((function(e){var t=e.popperRect,o=e.popperState,a=e.props.interactiveBorder,r=o.placement.split("-")[0],s=o.modifiersData.offset;if(!s)return!0;var l="bottom"===r?s.top.y:0,d="top"===r?s.bottom.y:0,c="right"===r?s.left.x:0,p="left"===r?s.right.x:0,u=t.top-i+l>a,g=i-t.bottom-d>a,f=t.left-n+c>a,m=n-t.right-p>a;return u||g||f||m}))})(i,e)&&(D(),te(e))}}function Q(e){Y(e)||v.props.trigger.indexOf("click")>=0&&p||(v.props.interactive?v.hideWithInteractivity(e):te(e))}function K(e){v.props.trigger.indexOf("focusin")<0&&e.target!==_()||v.props.interactive&&e.relatedTarget&&A.contains(e.relatedTarget)||te(e)}function Y(e){return!!xt.isTouch&&k()!==e.type.indexOf("touch")>=0}function X(){Z();var t=v.props,n=t.popperOptions,i=t.placement,o=t.offset,a=t.getReferenceClientRect,r=t.moveTransition,l=T()?Rt(A).arrow:null,d=a?{getBoundingClientRect:a,contextElement:a.contextElement||_()}:e,c={name:"$$tippy",enabled:!0,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t=e.state;if(T()){var n=P().box;["placement","reference-hidden","escaped"].forEach((function(e){"placement"===e?n.setAttribute("data-placement",t.placement):t.attributes.popper["data-popper-"+e]?n.setAttribute("data-"+e,""):n.removeAttribute("data-"+e)})),t.attributes.popper={}}}},p=[{name:"offset",options:{offset:o}},{name:"preventOverflow",options:{padding:{top:2,bottom:2,left:5,right:5}}},{name:"flip",options:{padding:5}},{name:"computeStyles",options:{adaptive:!r}},c];T()&&l&&p.push({name:"arrow",options:{element:l,padding:3}}),p.push.apply(p,(null==n?void 0:n.modifiers)||[]),v.popperInstance=Ze(d,A,Object.assign({},n,{placement:i,onFirstUpdate:s,modifiers:p}))}function Z(){v.popperInstance&&(v.popperInstance.destroy(),v.popperInstance=null)}function J(){return pt(A.querySelectorAll("[data-tippy-root]"))}function ee(e){v.clearDelayTimeouts(),e&&$("onTrigger",[v,e]),H();var t=O(!0),i=I(),o=i[0],a=i[1];xt.isTouch&&"hold"===o&&a&&(t=a),t?n=setTimeout((function(){v.show()}),t):v.show()}function te(e){if(v.clearDelayTimeouts(),$("onUntrigger",[v,e]),v.state.isVisible){if(!(v.props.trigger.indexOf("mouseenter")>=0&&v.props.trigger.indexOf("click")>=0&&["mouseleave","mousemove"].indexOf(e.type)>=0&&p)){var t=O(!1);t?i=setTimeout((function(){v.state.isVisible&&v.hide()}),t):o=requestAnimationFrame((function(){v.hide()}))}}else F()}}function Ht(e,t){void 0===t&&(t={});var n=kt.plugins.concat(t.plugins||[]);document.addEventListener("touchstart",wt,it),window.addEventListener("blur",Lt);var i=Object.assign({},t,{plugins:n}),o=mt(e).reduce((function(e,t){var n=t&&Bt(t,i);return n&&e.push(n),e}),[]);return ft(e)?o[0]:o}Ht.defaultProps=kt,Ht.setDefaultProps=function(e){Object.keys(e).forEach((function(t){kt[t]=e[t]}))},Ht.currentInput=xt,Object.assign({},ne,{effect:function(e){var t=e.state,n={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};Object.assign(t.elements.popper.style,n.popper),t.styles=n,t.elements.arrow&&Object.assign(t.elements.arrow.style,n.arrow)}}),Ht.setDefaultProps({render:Nt});var Ft='a,button,code,div,h1,h2,kbd,li,ol,p,span,strong,svg,ul{all:unset;box-sizing:border-box!important}div{display:block}:after,:before{all:unset}.tippy-box[data-animation=fade][data-state=hidden]{opacity:0}[data-tippy-root]{max-width:calc(100vw - 10px)}@media (forced-colors:active){[data-tippy-root]{border:2px solid transparent;border-radius:5px}}.tippy-box[data-placement^=top]>.tippy-arrow{bottom:0}.tippy-box[data-placement^=top]>.tippy-arrow:before{border-top-color:initial;border-width:8px 8px 0;bottom:-7px;left:0;transform-origin:center top}.tippy-box[data-placement^=bottom]>.tippy-arrow{top:0}.tippy-box[data-placement^=bottom]>.tippy-arrow:before{border-bottom-color:initial;border-width:0 8px 8px;left:0;top:-7px;transform-origin:center bottom}.tippy-box[data-placement^=left]>.tippy-arrow{right:0}.tippy-box[data-placement^=left]>.tippy-arrow:before{border-left-color:initial;border-width:8px 0 8px 8px;right:-7px;transform-origin:center left}.tippy-box[data-placement^=right]>.tippy-arrow{left:0}.tippy-box[data-placement^=right]>.tippy-arrow:before{border-right-color:initial;border-width:8px 8px 8px 0;left:-7px;transform-origin:center right}.tippy-arrow{color:#333;height:16px;width:16px}.tippy-arrow:before{border-color:transparent;border-style:solid;content:"";position:absolute}.tippy-content{padding:5px 9px;position:relative;z-index:1}.tippy-box[data-theme~=sa11y-theme][role=tooltip]{box-sizing:border-box!important}.tippy-box[data-theme~=sa11y-theme][role=tooltip][data-animation=fade][data-state=hidden]{opacity:0}.tippy-box[data-theme~=sa11y-theme][role=tooltip][data-inertia][data-state=visible]{transition-timing-function:cubic-bezier(.54,1.5,.38,1.11)}[role=dialog]{min-width:300px;text-align:start}[role=tooltip]{min-width:185px;text-align:center}.tippy-box[data-theme~=sa11y-theme]{-webkit-font-smoothing:auto;background-color:var(--sa11y-panel-bg);border-radius:4px;box-shadow:0 0 20px 4px rgba(154,161,177,.15),0 4px 80px -8px rgba(36,40,47,.25),0 4px 4px -2px rgba(91,94,105,.15)!important;color:var(--sa11y-panel-primary);display:block;font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;letter-spacing:normal;line-height:22px;outline:0;padding:8px;position:relative;transition-property:transform,visibility,opacity}.tippy-box[data-theme~=sa11y-theme] code{font-family:monospace}.tippy-box[data-theme~=sa11y-theme] code,.tippy-box[data-theme~=sa11y-theme] kbd{-webkit-font-smoothing:auto;background-color:var(--sa11y-panel-badge);border-radius:3.2px;color:var(--sa11y-panel-primary);letter-spacing:normal;line-height:22px;padding:1.6px 4.8px}.tippy-box[data-theme~=sa11y-theme][data-placement^=top]{text-align:center}.tippy-box[data-theme~=sa11y-theme] .tippy-content{padding:5px 9px}.tippy-box[data-theme~=sa11y-theme] sub,.tippy-box[data-theme~=sa11y-theme] sup{font-size:var(--sa11y-small-text)}.tippy-box[data-theme~=sa11y-theme] ul{margin:0;margin-block-end:0;margin-block-start:0;padding:0;position:relative}.tippy-box[data-theme~=sa11y-theme] li{display:list-item;margin:5px 10px 0 20px;padding-bottom:5px}.tippy-box[data-theme~=sa11y-theme] a{color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] a:hover{text-decoration:none}.tippy-box[data-theme~=sa11y-theme] strong{font-weight:600}.tippy-box[data-theme~=sa11y-theme] hr{background:var(--sa11y-panel-bg-splitter);border:none;height:1px;margin:10px 0;opacity:1;padding:0}.tippy-box[data-theme~=sa11y-theme] button.close-btn{margin:0}.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]{background:var(--sa11y-panel-bg-secondary);border:2px solid var(--sa11y-button-outline);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;display:block;margin:10px 5px 5px 0;padding:4px 8px}.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]:focus,.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]:hover{background:var(--sa11y-shortcut-hover)}.tippy-box[data-theme~=sa11y-theme][data-placement^=top]>.tippy-arrow:before{border-top-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=bottom]>.tippy-arrow:before{border-bottom-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=left]>.tippy-arrow:before{border-left-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=right]>.tippy-arrow:before{border-right-color:var(--sa11y-panel-bg)}@media (forced-colors:active){.tippy-box[data-theme~=sa11y-theme][data-placement^=bottom]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=left]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=right]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=top]>.tippy-arrow:before{filter:invert(1);forced-color-adjust:none}.tippy-box[data-theme~=sa11y-theme] .tippy-arrow{z-index:-1}}';class Ut extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),n=document.createElement("style");n.innerHTML=Ft+C,e.appendChild(n);const o=[];A.Annotations.Array.forEach((e=>{const t=e.shadowRoot.querySelectorAll(".sa11y-btn");t&&o.push(...Array.from(t))}));const a=Ht(o,{interactive:!0,trigger:"mouseenter click",arrow:!0,delay:[0,400],theme:"sa11y-theme",placement:"right-start",allowHTML:!0,role:"dialog",aria:{content:null,expanded:"auto"},appendTo:e,zIndex:2147483645,onShow(e){const t=e.popper;a.forEach((e=>{e!==t&&e.hide()}));e.reference.getRootNode().host.setAttribute("data-sa11y-opened","");const n=t.querySelector(".close-btn"),i=()=>{e.hide(),e.reference.focus()};n.addEventListener("click",i);const o=t=>{"Escape"===t.key&&(e.hide(),e.reference.focus())};t.addEventListener("keydown",o);const r=()=>{n.removeEventListener("click",i),t.removeEventListener("keydown",o),t.removeEventListener("hidden",r)};t.addEventListener("hidden",r)},onTrigger(e,t){"click"===t.type&&setTimeout((()=>{e.popper.querySelector(".close-btn").focus(),function(e){const t=e.querySelectorAll("a[href]:not([disabled]), button:not([disabled])"),n=t[0],i=t[t.length-1];e.addEventListener("keydown",(t=>{const o="Tab"===t.key||9===t.keyCode,a=e.getRootNode();o&&(t.shiftKey?a.activeElement===n&&(i.focus(),t.preventDefault()):a.activeElement===i&&(n.focus(),t.preventDefault()))}))}(e.popper)}),0)},onHide(e){e.popper.querySelector(".close-btn").removeEventListener("click",(()=>{e.hide()}));e.reference.getRootNode().host.removeAttribute("data-sa11y-opened")}});let r;r=-1!==navigator.userAgent.indexOf("Mac")?'<span class="kbd">Option</span> + <span class="kbd">S</span>':'<span class="kbd">Alt</span> + <span class="kbd">S</span>',Ht(i.Panel.skipButton,{content:`${t._("SHORTCUT_TOOLTIP")} &raquo; <br> ${r}`,allowHTML:!0,delay:[500,0],trigger:"mouseenter focusin",arrow:!0,placement:"top",theme:"sa11y-theme",maxWidth:165,role:"tooltip",aria:{content:null,expanded:!1},appendTo:e,zIndex:2147483645})}}class jt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML=Ft+C,e.appendChild(t),this.object=Ht(i.Panel.dismissButton,{delay:[500,0],trigger:"mouseenter focusin",arrow:!0,placement:"top",theme:"sa11y-theme",maxWidth:165,role:"tooltip",aria:{content:null,expanded:!1},appendTo:e,zIndex:2147483645})}}class zt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML='.instance{display:block}.instance-inline{display:inline-block;text-align:end}button{border-radius:50%;box-shadow:0 0 16px 0 rgba(0,0,0,.31);cursor:pointer;display:block;font-size:0;line-height:normal;min-width:0;padding:0;transition:all .2s ease-in-out;z-index:8888}button,button:after{height:36px;position:absolute;width:36px}button:after{content:"";left:-7px;padding:7px;top:-7px}button.warning-btn{margin:20px}button.error-btn,button.good-btn{margin:10px}button.error-btn-text,button.good-btn-text,button.warning-btn-text{margin:-30px 10px}button.error-btn,button.error-btn-text{background:50% 50% var(--sa11y-error-svg) no-repeat;background-color:var(--sa11y-error);background-size:22px;border:1px solid var(--sa11y-error)}button.error-btn-text:focus,button.error-btn-text:hover,button.error-btn:focus,button.error-btn:hover{background-color:var(--sa11y-error-hover)}button.good-btn,button.good-btn-text{background:50% 50% var(--sa11y-good) var(--sa11y-good-svg) no-repeat;background-color:var(--sa11y-good);background-size:20px;border:1px solid var(--sa11y-good)}button.good-btn-text:focus,button.good-btn-text:hover,button.good-btn:focus,button.good-btn:hover{background-color:var(--sa11y-good-hover)}button.warning-btn,button.warning-btn-text{background:50% 50% var(--sa11y-warning) var(--sa11y-warning-svg) no-repeat;background-color:var(--sa11y-warning);background-size:24px;border:1px solid var(--sa11y-warning);transform:scaleX(var(--sa11y-icon-direction))}button.warning-btn-text:focus,button.warning-btn-text:hover,button.warning-btn:focus,button.warning-btn:hover{background-color:var(--sa11y-warning-hover)}button.sa11y-btn:active,button.sa11y-btn:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}@media screen and (forced-colors:active){button.sa11y-btn{border:1px solid transparent!important;forced-color-adjust:none;outline:3px solid transparent!important}}'+C,e.appendChild(t)}}const qt=()=>{document.querySelectorAll("sa11y-annotation").forEach((e=>{const t=((e,t,n)=>{let i=e;for(;null!==i;){if(window.getComputedStyle(i).getPropertyValue(t)===n)return i;i=i.parentElement}return null})(e,"overflow","hidden");null!==t&&t.setAttribute("data-sa11y-overflow","")}))};class Wt extends HTMLElement{connectedCallback(){this.attachShadow({mode:"open"})}}class Vt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.textContent="\n      span.heading-label {\n        background-color: #777678;\n        background-image: linear-gradient(to bottom right, #b629ce, #16aec2);\n        border-radius: 5px;\n        border: 1px solid #36a5c3;\n        color: white;\n        display: inline-block;\n        font-family: var(--sa11y-font-face);\n        font-weight: 500;\n        font-size: 17px;\n        line-height: normal;\n        letter-spacing: normal;\n        margin: -5px 0 0 5px;\n        padding: 3px;\n        position: absolute;\n        text-shadow: 1px 1px black;\n        -webkit-text-fill-color: white;\n        z-index: 200;\n      }\n      @media screen and (forced-colors: active) {\n        span.heading-label {\n          border: 2px solid transparent;\n        }\n      }",e.appendChild(t)}}const Qt=(e,n)=>{if(0===e.offsetTop){const i=e.getRootNode().host,o=c(i,"display","none"),a=parseInt(i.getAttribute("data-sa11y-annotation"),10),r=x(n.find((e=>e.id===a)));(e=>{const t=c(e.getRootNode().host,"display","none");if(null!==t){g(t.previousElementSibling||t.parentNode)}})(e);const s=e.getAttribute("data-tippy-content");if(b(`${t._("NOT_VISIBLE_ALERT")}`,s,r),(()=>{const e=document.querySelector("sa11y-tooltips").shadowRoot.querySelector("button");null!==e&&e.click()})(),o){const e=o.previousElementSibling,{parentNode:t}=o;return e?p(e).top-150:p(t).top-150}}else m(),i.Panel.skipButton.focus();return p(e).top-150};let Kt=-1;const Yt=()=>{const e=u.getItem("sa11y-latest-dismissed");null!==e&&(Kt=parseInt(e,10)-1),u.removeItem("sa11y-latest-dismissed");const t=o("[data-sa11y-opened]","root");t[0]&&(Kt=parseInt(t[0].getAttribute("data-sa11y-position"),10))},Xt=e=>{Yt();const t=A.Annotations.Array;Kt>=t.length-1&&(Kt=-1);const n=t[Kt+1].shadowRoot.querySelector("button"),o=Qt(n,e);window.scrollTo({top:o,behavior:`${i.Global.scrollBehaviour}`}),0!==n.offsetTop&&(n.focus(),n.click()),Kt+=1},Zt=e=>{if(Yt(),Kt>0){const t=A.Annotations.Array[Kt-1].shadowRoot.querySelector("button"),n=Qt(t,e);window.scrollTo({top:n,behavior:`${i.Global.scrollBehaviour}`}),0!==t.offsetTop&&(t.focus(),t.click()),Kt-=1,-1===Kt&&(Kt=A.Annotations.Array.length-1)}};let Jt,en;function tn(e){Jt=t=>{!function(e,t){A.Annotations.Array.length&&!i.Panel.skipButton.hasAttribute("disabled")&&(e.altKey&&"KeyS"===e.code?(e.preventDefault(),Xt(t)):e.altKey&&"KeyW"===e.code&&(e.preventDefault(),Zt(t)))}(t,e)},en=()=>{Xt(e)},document.addEventListener("keydown",Jt),i.Panel.skipButton.addEventListener("click",en)}function nn(e,n){return A.Found.Images.forEach((i=>{const o=i.getAttribute("alt");if(null===o)i.closest("a[href]")?l(i.closest("a[href]")).textContent.trim().length>=1?e.push({element:i,type:"error",content:t.sprintf("MISSING_ALT_LINK_BUT_HAS_TEXT_MESSAGE"),inline:!1,position:"beforebegin"}):0===l(i.closest("a[href]")).textContent.trim().length&&e.push({element:i,type:"error",content:t.sprintf("MISSING_ALT_LINK_MESSAGE"),inline:!1,position:"beforebegin"}):e.push({element:i,type:"error",content:t.sprintf("MISSING_ALT_MESSAGE"),inline:!1,position:"beforebegin"});else{const a=r(o),s=(e=>{const n=[null,null,null];return[".png",".jpg",".jpeg",".webp",".gif",".tiff",".svg","DSC_"].forEach((t=>{e.toLowerCase().indexOf(t)>=0&&(n[0]=t)})),t._("SUSPICIOUS_ALT_STOPWORDS").forEach((t=>{e.toLowerCase().indexOf(t)>=0&&(n[1]=t)})),t._("PLACEHOLDER_ALT_STOPWORDS").forEach((t=>{e.length===t.length&&e.toLowerCase().indexOf(t)>=0&&(n[2]=t)})),n})(a),d=o.length,c=i.getAttribute("src"),p=c||i.getAttribute("srcset");if(i.closest("a[href]")&&"-1"===i.closest("a[href]").getAttribute("tabindex")&&"true"===i.closest("a[href]").getAttribute("aria-hidden"));else if(null!==s[0]&&i.closest("a[href]"))e.push({element:i,type:"error",content:t.sprintf("LINK_IMAGE_BAD_ALT_MESSAGE",s[0],a),inline:!1,position:"beforebegin"});else if(null!==s[2]&&i.closest("a[href]"))e.push({element:i,type:"error",content:t.sprintf("LINK_IMAGE_PLACEHOLDER_ALT_MESSAGE",a),inline:!1,position:"beforebegin"});else if(null!==s[1]&&i.closest("a[href]")){const n=f(`LINKEDIMAGE${p+a}`);e.push({element:i,type:"warning",content:t.sprintf("LINK_IMAGE_SUS_ALT_MESSAGE",s[1],a),inline:!1,position:"beforebegin",dismiss:n})}else if(null!==s[0])e.push({element:i,type:"error",content:t.sprintf("LINK_ALT_HAS_BAD_WORD_MESSAGE",s[0],a),inline:!1,position:"beforebegin"});else if(null!==s[2])e.push({element:i,type:"error",content:t.sprintf("ALT_PLACEHOLDER_MESSAGE",a),inline:!1,position:"beforebegin"});else if(null!==s[1]){const n=f(`IMAGE${p+a+s[1]}`);e.push({element:i,type:"warning",content:t.sprintf("ALT_HAS_SUS_WORD",s[1],a),inline:!1,position:"beforebegin",dismiss:n})}else if(""!==o&&" "!==o||!i.closest("a[href]")){if(o.length>n.altTextMaxCharLength&&i.closest("a[href]")){const n=f(`LINKEDIMAGE${p+a+o.length}`);e.push({element:i,type:"warning",content:t.sprintf("LINK_IMAGE_LONG_ALT",d,a),inline:!1,position:"beforebegin",dismiss:n})}else if(""!==o&&i.closest("a[href]")&&0===l(i.closest("a[href]")).textContent.trim().length){const n=f(`LINKEDIMAGE${p+a}`);e.push({element:i,type:"warning",content:t.sprintf("LINK_IMAGE_ALT_WARNING",a),inline:!1,position:"beforebegin",dismiss:n})}else if(""!==o&&i.closest("a[href]")&&l(i.closest("a[href]")).textContent.trim().length>=1){const n=f(`LINKEDIMAGE${p+a}`);e.push({element:i,type:"warning",content:t.sprintf("LINK_IMAGE_ALT_AND_TEXT_WARNING",a),inline:!1,position:"beforebegin",dismiss:n})}else if(""===o||" "===o)if(i.closest("figure")){const n=i.closest("figure").querySelector("figcaption");if(null!==n&&n.textContent.trim().length>=1){const n=f(`DECORATIVE${p}`);e.push({element:i,type:"warning",content:t.sprintf("IMAGE_FIGURE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:n})}else{const n=f(`DECORATIVE${p}`);e.push({element:i,type:"warning",content:t.sprintf("IMAGE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:n})}}else{const n=f(`DECORATIVE${p}`);e.push({element:i,type:"warning",content:t.sprintf("IMAGE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:n})}else if(o.length>n.altTextMaxCharLength){const n=f(`IMAGE${p+a+o.length}`);e.push({element:i,type:"warning",content:t.sprintf("IMAGE_ALT_TOO_LONG",d,a),inline:!1,position:"beforebegin",dismiss:n})}else if(""!==o)if(i.closest("figure")){const n=i.closest("figure").querySelector("figcaption");if(n&&n.textContent.trim().toLowerCase()===a.trim().toLowerCase()){const n=f(`FIGURE${p+a}`);e.push({element:i,type:"warning",content:t.sprintf("IMAGE_FIGURE_DUPLICATE_ALT",a),inline:!1,position:"beforebegin",dismiss:n})}else e.push({element:i,type:"good",content:t.sprintf("IMAGE_PASS",a),inline:!1,position:"beforebegin"})}else e.push({element:i,type:"good",content:t.sprintf("IMAGE_PASS",a),inline:!1,position:"beforebegin"})}else"-1"===i.closest("a[href]").getAttribute("tabindex")&&"true"===i.closest("a[href]").getAttribute("aria-hidden")||("true"===i.closest("a[href]").getAttribute("aria-hidden")?e.push({element:i,type:"error",content:t.sprintf("LINK_IMAGE_ARIA_HIDDEN"),inline:!1,position:"beforebegin"}):0===l(i.closest("a[href]")).textContent.trim().length?e.push({element:i,type:"error",content:t.sprintf("LINK_IMAGE_NO_ALT_TEXT"),inline:!1,position:"beforebegin"}):e.push({element:i,type:"good",content:t.sprintf("LINK_IMAGE_HAS_TEXT"),inline:!1,position:"beforebegin"}))}})),e}function on(e,n,o){let a;return A.Found.Headings.forEach(((d,p)=>{const u=function(e){const t=s(e),n=Array.from(e.querySelectorAll("img"));let i="";if(0===n.length&&t.length>1)i=t;else if(n.length&&0===t.length){const e=n[0].getAttribute("alt");e&&" "!==e&&""!==e?void 0!==e&&(i=e):i=""}else n.length&&t.length&&(n.forEach((e=>{e.insertAdjacentHTML("afterend",` <span data-sa11y-clone-image-text aria-hidden="true">${n[0].getAttribute("alt")}</span>`)})),i=t);return i}(l(d)),g=r(u),m=i.Global.Root.contains(d),b=parseInt(d.getAttribute("aria-level")||d.tagName.slice(1),10),h=g.length;let y=null,v=null;if(b-a>1&&0!==p)if(n.nonConsecutiveHeadingIsError)y=t.sprintf("HEADING_NON_CONSECUTIVE_LEVEL",a,b),e.push({element:d,type:"error",content:y,inline:!1,position:"beforebegin",isWithinRoot:m});else{v=t.sprintf("HEADING_NON_CONSECUTIVE_LEVEL",a,b);const n=f(`HEADING${b+g}`);e.push({element:d,type:"warning",content:v,inline:!1,position:"beforebegin",dismiss:n,isWithinRoot:m})}else if(0===h)if(d.querySelectorAll("img").length){const n=d.querySelector("img").getAttribute("alt");null!==n&&" "!==n&&""!==n||(y=t.sprintf("HEADING_EMPTY_WITH_IMAGE",b),e.push({element:d,type:"error",content:y,inline:!1,position:"beforebegin",isWithinRoot:m}))}else y=t.sprintf("HEADING_EMPTY",b),e.push({element:d,type:"error",content:y,inline:!1,position:"beforebegin",isWithinRoot:m});else if(0===p&&1!==b&&2!==b)y=t.sprintf("HEADING_FIRST"),e.push({element:d,type:"error",content:y,inline:!1,position:"beforebegin",isWithinRoot:m});else if(h>n.headingMaxCharLength&&n.flagLongHeadings){v=t.sprintf("HEADING_LONG",h);const n=f(`HEADING${b+g}`);e.push({element:d,type:"warning",content:v,inline:!1,position:"beforebegin",dismiss:n,isWithinRoot:m})}a=b;const x=!!((A=d).getAttribute("hidden")||0===A.offsetWidth&&0===A.offsetHeight||1===A.clientHeight&&1===A.clientWidth)||"none"===getComputedStyle(A).getPropertyValue("display");var A;const w=c(d,"display","none");if(null!==y)o.push({element:d,headingLevel:b,text:g,index:p,type:"error",hidden:x,visibleParent:w,isWithinRoot:m});else if(null!==v){const e=f(`HEADING${b+g}`);o.push({element:d,headingLevel:b,text:g,index:p,type:"warning",hidden:x,visibleParent:w,dismiss:e,isWithinRoot:m})}else null!==y&&null!==v||o.push({element:d,headingLevel:b,text:g,index:p,hidden:x,visibleParent:w,isWithinRoot:m})})),0===A.Found.HeadingOne.length&&n.missingH1&&e.push({type:"warning",content:t.sprintf("HEADING_MISSING_ONE"),dismiss:"missingH1"}),{results:e,headingOutline:o}}function an(e,n){return A.Found.Links.forEach((o=>{let a=d(o);const c=o.getAttribute("aria-labelledby"),p=o.getAttribute("aria-label");let u=null,g=null;const m=o.getAttribute("title"),b=o.getAttribute("href");if(o.children.length){const e=o.children[0];u=e.getAttribute("aria-labelledby"),g=e.getAttribute("aria-label")}if("noAria"===a){a=s(o);const e=o.querySelector("img");if(e){const t=d(e);a+="noAria"!==t?t:e&&e.getAttribute("alt")||""}}const h=(e=>{const n=[null,null,null,null];return t._("PARTIAL_ALT_STOPWORDS").forEach((t=>(e.length===t.length&&e.toLowerCase().indexOf(t)>=0&&(n[0]=t),!1))),t._("WARNING_ALT_STOPWORDS").forEach((t=>(e.toLowerCase().indexOf(t)>=0&&(n[1]=t),!1))),["doiorg/","dlacmorg/","linkspringercom/","pubmedncbinlmnihgov/","scholargooglecom/","ieeexploreieeeorg/","researchgatenet/publication","sciencedirectcom/science/article"].forEach((t=>(e.toLowerCase().indexOf(t)>=0&&(n[2]=t),!1))),["http","edu/","com/","net/","org/","us/","ca/","de/","icu/","uk/","ru/","info/","top/","xyz/","tk/","cn/","ga/","cf/","nl/","io/","fr/","pe/","nz/","pt/","es/","pl/","ua/"].forEach((t=>(e.toLowerCase().indexOf(t)>=0&&(n[3]=t),!1))),n})(l(o,i.Exclusions.LinkSpan).textContent.replace(/[!?。，、&*()\-;':"\\|,.<>↣↳←→↓«»↴]+/g,"").trim()),y=a.match(/([<>↣↳←→↓«»↴]+)/),v=y?y[1]:null;if(o.querySelectorAll("img").length);else if(b&&!a)o&&m||(o.children.length?e.push({element:o,type:"error",content:t.sprintf("LINK_EMPTY_LINK_NO_LABEL"),inline:!0,position:"afterend"}):e.push({element:o,type:"error",content:t.sprintf("LINK_EMPTY"),inline:!0,position:"afterend"}));else if(null!==h[0])if(c||p||u||g){const i=r(a);n.showGoodLinkButton&&e.push({element:o,type:"good",content:t.sprintf("LINK_LABEL",i),inline:!0,position:"afterend"})}else"true"===o.getAttribute("aria-hidden")&&"-1"===o.getAttribute("tabindex")||e.push({element:o,type:"error",content:t.sprintf("LINK_STOPWORD",h[0]),inline:!0,position:"afterend"});else if(null!==h[1]||null!==v){const n=f(`LINK${a+b}`),i=v||h[1];e.push({element:o,type:"warning",content:t.sprintf("LINK_BEST_PRACTICES",i),inline:!0,position:"beforebegin",dismiss:n})}else if(null!==h[2]&&n.linksToDOI){const n=f(`LINK${a+h[2]+b}`);a.length>8&&e.push({element:o,type:"warning",content:t.sprintf("LINK_DOI"),inline:!0,position:"beforebegin",dismiss:n})}else if(null!==h[3]&&n.URLAsLinkTextWarning){const i=f(`LINK${a+h[2]+b}`);a.length>n.URLTextMaxCharLength&&e.push({element:o,type:"warning",content:t.sprintf("LINK_URL"),inline:!0,position:"beforebegin",dismiss:i})}else if(c||p||u||g){if(n.showGoodLinkButton){const n=r(a);e.push({element:o,type:"good",content:t.sprintf("LINK_LABEL",n),inline:!0,position:"afterend"})}}else"."!==a&&","!==a&&"/"!==a||e.push({element:o,type:"error",content:t.sprintf("LINK_EMPTY"),inline:!0,position:"afterend"})})),e}function rn(e,n){return n.formLabelsPlugin&&("On"===u.getItem("sa11y-remember-labels")||n.headless||n.checkAllHideToggles)&&A.Found.Inputs.forEach((n=>{if(!0!=(!!((i=n).getAttribute("hidden")||0===i.offsetWidth&&0===i.offsetHeight)||"none"===getComputedStyle(i).getPropertyValue("display"))){let i=d(n);const o=n.getAttribute("type"),a=n.getAttribute("tabindex");if("submit"===o||"button"===o||"hidden"===o||"-1"===a);else if("image"===o){const i=n.getAttribute("alt");i&&" "!==i||n.getAttribute("aria-label")||e.push({element:n,type:"error",content:t.sprintf("LABELS_MISSING_IMAGE_INPUT_MESSAGE"),inline:!1,position:"beforebegin"})}else if("reset"===o){const o=f(`INPUT${i}`);e.push({element:n,type:"warning",content:t.sprintf("LABELS_INPUT_RESET_MESSAGE"),inline:!1,position:"beforebegin",dismiss:o})}else if(n.getAttribute("aria-label")||n.getAttribute("aria-labelledby")||n.getAttribute("title"))if(n.getAttribute("title")){i=n.getAttribute("title");const o=f(`INPUT${i}`),a=r(i);e.push({element:n,type:"warning",content:t.sprintf("LABELS_ARIA_LABEL_INPUT_MESSAGE",a),inline:!1,position:"beforebegin",dismiss:o})}else{const o=f(`INPUT${i}`),a=r(i);e.push({element:n,type:"warning",content:t.sprintf("LABELS_ARIA_LABEL_INPUT_MESSAGE",a),inline:!1,position:"beforebegin",dismiss:o})}else if(n.closest("label")&&n.closest("label").textContent.trim());else if(n.getAttribute("id")){let i=!1;if(A.Found.Labels.forEach((e=>{i||e.getAttribute("for")===n.getAttribute("id")&&(i=!0)})),!i){const i=n.getAttribute("id");e.push({element:n,type:"error",content:t.sprintf("LABELS_NO_FOR_ATTRIBUTE_MESSAGE",i),inline:!1,position:"beforebegin"})}}else e.push({element:n,type:"error",content:t.sprintf("LABELS_MISSING_LABEL_MESSAGE"),inline:!1,position:"beforebegin"})}var i})),e}class sn{constructor(n){const c={...e,...n};this.initialize=()=>{var e;(()=>{const{doNotRun:e}=c;return e.trim().length>0&&document.querySelector(e)})()||(customElements.define("sa11y-heading-label",Vt),customElements.define("sa11y-heading-anchor",Wt),customElements.define("sa11y-annotation",zt),customElements.define("sa11y-tooltips",Ut),customElements.define("sa11y-dismiss-tooltip",jt),customElements.define("sa11y-control-panel",R),customElements.define("sa11y-console-error",$),i.initializeGlobal(c),i.initializeReadability(c),i.initializeExclusions(c),i.initializeEmbeddedContent(c),e=()=>{if(c.headless)this.checkAll(),u.removeItem("sa11y-dismissed");else{const o=new R;document.body.appendChild(o),function(e,n){i.Global.contrastPlugin?i.Panel.contrastToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-contrast")?(u.setItem("sa11y-remember-contrast","Off"),i.Panel.contrastToggle.textContent=`${t._("OFF")}`,i.Panel.contrastToggle.setAttribute("aria-pressed","false"),n(!1),await e()):(u.setItem("sa11y-remember-contrast","On"),i.Panel.contrastToggle.textContent=`${t._("ON")}`,i.Panel.contrastToggle.setAttribute("aria-pressed","true"),n(!1),await e())}:u.setItem("sa11y-remember-contrast","Off"),i.Global.formLabelsPlugin?i.Panel.labelsToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-labels")?(u.setItem("sa11y-remember-labels","Off"),i.Panel.labelsToggle.textContent=`${t._("OFF")}`,i.Panel.labelsToggle.setAttribute("aria-pressed","false"),n(!1),await e()):(u.setItem("sa11y-remember-labels","On"),i.Panel.labelsToggle.textContent=`${t._("ON")}`,i.Panel.labelsToggle.setAttribute("aria-pressed","true"),n(!1),await e())}:u.setItem("sa11y-remember-labels","Off"),i.Global.linksAdvancedPlugin?i.Panel.linksToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-links-advanced")?(u.setItem("sa11y-remember-links-advanced","Off"),i.Panel.linksToggle.textContent=`${t._("OFF")}`,i.Panel.linksToggle.setAttribute("aria-pressed","false"),n(!1),await e()):(u.setItem("sa11y-remember-links-advanced","On"),i.Panel.linksToggle.textContent=`${t._("ON")}`,i.Panel.linksToggle.setAttribute("aria-pressed","true"),n(!1),await e())}:u.setItem("sa11y-remember-links-advanced","Off"),i.Readability.Plugin&&(i.Panel.readabilityToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-readability")?(u.setItem("sa11y-remember-readability","Off"),i.Panel.readabilityToggle.textContent=`${t._("OFF")}`,i.Panel.readabilityToggle.setAttribute("aria-pressed","false"),i.Panel.readability.classList.remove("active"),n(!1),await e()):(u.setItem("sa11y-remember-readability","On"),i.Panel.readabilityToggle.textContent=`${t._("ON")}`,i.Panel.readabilityToggle.setAttribute("aria-pressed","true"),i.Panel.readability.classList.add("active"),n(!1),await e())},"On"===u.getItem("sa11y-remember-readability")&&i.Panel.readability.classList.add("active"));const o=window.matchMedia("(prefers-color-scheme: dark)");o.matches?(i.Panel.themeToggle.textContent=`${t._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true")):(i.Panel.themeToggle.textContent=`${t._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")),o.addEventListener("change",(()=>{o.matches?(i.Global.html.setAttribute("data-sa11y-theme","dark"),i.Panel.themeToggle.textContent=`${t._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true"),u.setItem("sa11y-remember-theme","")):(i.Global.html.setAttribute("data-sa11y-theme","light"),i.Panel.themeToggle.textContent=`${t._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false"),u.setItem("sa11y-remember-theme",""))})),i.Panel.themeToggle.onclick=async()=>{const e=u.getItem("sa11y-remember-theme");"dark"===e?(i.Global.html.setAttribute("data-sa11y-theme","light"),u.setItem("sa11y-remember-theme","light"),i.Panel.themeToggle.textContent=`${t._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")):"light"===e?(i.Global.html.setAttribute("data-sa11y-theme","dark"),u.setItem("sa11y-remember-theme","dark"),i.Panel.themeToggle.textContent=`${t._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true")):o.matches?(i.Global.html.setAttribute("data-sa11y-theme","light"),u.setItem("sa11y-remember-theme","light"),i.Panel.themeToggle.textContent=`${t._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")):(i.Global.html.setAttribute("data-sa11y-theme","dark"),u.setItem("sa11y-remember-theme","dark"),i.Panel.themeToggle.textContent=`${t._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true"))};const a=u.getItem("sa11y-remember-theme");"dark"===a?(i.Global.html.setAttribute("data-sa11y-theme","dark"),u.setItem("sa11y-remember-theme","dark"),i.Panel.themeToggle.textContent=`${t._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true")):"light"===a&&(i.Global.html.setAttribute("data-sa11y-theme","light"),u.setItem("sa11y-remember-theme","light"),i.Panel.themeToggle.textContent=`${t._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")),i.Global.colourFilterPlugin&&i.Panel.colourFilterSelect.addEventListener("change",(async()=>{const o=parseInt(i.Panel.colourFilterSelect.value,10),a=["protanopia","deuteranopia","tritanopia","monochromacy"],r=[t._("RED_EYE"),t._("GREEN_EYE"),t._("BLUE_EYE"),t._("MONO_EYE")];o>=1&&o<=4?window.matchMedia("(forced-colors: active)").matches?b(t._("COLOUR_FILTER_HIGH_CONTRAST_MESSAGE")):(i.Global.Root.setAttribute("data-sa11y-filter",a[o-1]),i.Panel.colourFilterIcon.setAttribute("aria-label",r[o-1]),h(["data-sa11y-error","data-sa11y-warning","data-sa11y-good","data-sa11y-error-inline","data-sa11y-warning-inline","data-sa11y-overflow"],"document"),y(["sa11y-annotation","sa11y-tooltips","sa11y-heading-label"],"document"),i.Panel.skipButton.disabled=!0,i.Panel.pageIssues.classList.remove("active"),"left"!==i.Global.panelPosition&&"right"!==i.Global.panelPosition||i.Panel.settingsContent.classList.add("hide-settings-border"),i.Panel.colourFilterSelect.classList.add("active"),i.Panel.colourPanel.classList.add("active"),i.Panel.colourPanel.setAttribute("data-colour",a[o-1]),i.Panel.content.hidden=!0):(i.Global.Root.removeAttribute("data-sa11y-filter"),i.Panel.settingsContent.classList.remove("hide-settings-border"),i.Panel.colourFilterSelect.classList.remove("active"),i.Panel.colourPanel.classList.remove("active"),i.Panel.colourPanel.removeAttribute("data-colour"),i.Panel.content.hidden=!1,n(!1),await e())}))}(this.checkAll,this.resetAll),i.Panel.outlineToggle.addEventListener("click",(()=>{"true"===i.Panel.outlineToggle.getAttribute("aria-expanded")?(i.Panel.outlineToggle.classList.remove("outline-active"),i.Panel.outline.classList.remove("active"),i.Panel.outlineToggle.setAttribute("aria-expanded","false"),u.setItem("sa11y-remember-outline","Closed"),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!0)),v(i.Panel.outlineList,i.Panel.outlineContent)):(i.Panel.outlineToggle.classList.add("outline-active"),i.Panel.outline.classList.add("active"),i.Panel.outlineToggle.setAttribute("aria-expanded","true"),u.setItem("sa11y-remember-outline","Opened"),u.setItem("sa11y-remember-settings","Closed"),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!1))),i.Panel.outlineHeader.focus(),i.Panel.settings.classList.remove("active"),i.Panel.settingsToggle.classList.remove("settings-active"),i.Panel.settingsToggle.setAttribute("aria-expanded","false"),v(i.Panel.outlineList,i.Panel.outlineContent)})),"Opened"===u.getItem("sa11y-remember-outline")&&(i.Panel.outlineToggle.classList.add("outline-active"),i.Panel.outline.classList.add("active"),i.Panel.outlineToggle.setAttribute("aria-expanded","true"),setTimeout((()=>{v(i.Panel.outlineList,i.Panel.outlineContent)}),0)),i.Panel.settingsToggle.addEventListener("click",(()=>{"true"===i.Panel.settingsToggle.getAttribute("aria-expanded")?(i.Panel.settingsToggle.classList.remove("settings-active"),i.Panel.settings.classList.remove("active"),i.Panel.settingsToggle.setAttribute("aria-expanded","false"),u.setItem("sa11y-remember-settings","Closed")):(i.Panel.settingsToggle.classList.add("settings-active"),i.Panel.settings.classList.add("active"),i.Panel.settingsToggle.setAttribute("aria-expanded","true"),u.setItem("sa11y-remember-settings","Opened"),u.setItem("sa11y-remember-outline","Closed")),i.Panel.settingsHeader.focus(),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!0)),i.Panel.outline.classList.remove("active"),i.Panel.outlineToggle.classList.remove("outline-active"),i.Panel.outlineToggle.setAttribute("aria-expanded","false"),u.setItem("sa11y-remember-outline","Closed"),i.Panel.settingsContent.clientHeight>350&&(i.Panel.settingsContent.setAttribute("tabindex","0"),i.Panel.settingsContent.setAttribute("aria-label",`${t._("SETTINGS")}`),i.Panel.settingsContent.setAttribute("role","region")),i.Panel.outline.classList.remove("active"),i.Panel.outlineToggle.classList.remove("settings-active"),i.Panel.outlineToggle.setAttribute("aria-expanded","false")})),"Opened"===u.getItem("sa11y-remember-settings")&&(i.Panel.settingsToggle.classList.add("settings-active"),i.Panel.settings.classList.add("active"),i.Panel.settingsToggle.setAttribute("aria-expanded","true")),i.Panel.skipToPageIssues.addEventListener("click",(()=>{i.Panel.pageIssuesHeader.focus()})),setTimeout((()=>{v(i.Panel.pageIssuesList,i.Panel.pageIssuesContent)}),0),i.Panel.controls.addEventListener("keydown",(e=>{const t=i.Panel.panel.querySelectorAll("#outline-toggle[role=tab], #settings-toggle[role=tab]");if("ArrowRight"===e.key)for(let n=0;n<t.length;n++)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n+1].focus(),e.preventDefault();break}if("ArrowDown"===e.key)for(let n=0;n<t.length;n++)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n+1].focus(),e.preventDefault();break}if("ArrowLeft"===e.key)for(let n=t.length-1;n>0;n--)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n-1].focus(),e.preventDefault();break}if("ArrowUp"===e.key)for(let n=t.length-1;n>0;n--)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n-1].focus(),e.preventDefault();break}})),function(){if(i.Global.colourFilterPlugin&&!1===i.Global.headless){const e=document.createElement("div");e.id="sa11y-colour-filters",e.setAttribute("aria-hidden","true"),e.innerHTML='\n        \x3c!-- DaltonLens SVG filters to simulate color vision deficiencies --\x3e\n        <svg id="sa11y-svg-filters" xmlns="http://www.w3.org/2000/svg">\n          <filter id="sa11y-protanopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" values="\n                0.10889,0.89111,-0.00000,0,0\n                0.10889,0.89111,0.00000,0,0\n                0.00447,-0.00447,1.00000,0,0\n                0,0,0,1,0"\n            />\n          </filter>\n          <filter id="sa11y-deuteranopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" values="\n                0.29031,0.70969,-0.00000,0,0\n                0.29031,0.70969,-0.00000,0,0\n                -0.02197,0.02197,1.00000,0,0\n                0,0,0,1,0"\n            />\n          </filter>\n          <filter id="sa11y-tritanopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" result="ProjectionOnPlane1" values="\n                1.01354, 0.14268, -0.15622, 0, 0\n                -0.01181, 0.87561, 0.13619, 0, 0\n                0.07707, 0.81208, 0.11085, 0, 0\n                7.92482, -5.66475, -2.26007, 1, -0.2"\n            />\n            <feComponentTransfer in="ProjectionOnPlane1" result="ProjectionOnPlane1">\n                <feFuncA type="discrete" tableValues="0 0 0 0 1"/>\n            </feComponentTransfer>\n            <feColorMatrix type="matrix" in="SourceGraphic" result="ProjectionOnPlane2" values="\n                0.93337, 0.19999, -0.13336, 0, 0\n                0.05809, 0.82565, 0.11626, 0, 0\n                -0.37923, 1.13825, 0.24098, 0, 0\n                0,0,0,1,0"\n            />\n            <feBlend in="ProjectionOnPlane1" in2="ProjectionOnPlane2" mode="normal"/>\n          </filter>\n          <filter id="sa11y-monochromacy">\n            <feColorMatrix values="0.33 0.33 0.33 0 0                           0.33 0.33 0.33 0 0                           0.33 0.33 0.33 0 0                           0 0 0 1 0"></feColorMatrix>\n          </filter>\n        </svg>',document.body.appendChild(e)}}(),w(c.detectSPArouting,this.checkAll,this.resetAll),this.dismissTooltip=new jt,document.body.appendChild(this.dismissTooltip),i.Panel.toggle.disabled=!1,this.checkAll(),e=this.checkAll,n=this.resetAll,i.Panel.toggle.addEventListener("click",(t=>{"Opened"===u.getItem("sa11y-remember-panel")?(t.preventDefault(),u.setItem("sa11y-remember-panel","Closed"),i.Panel.toggle.classList.remove("on"),i.Panel.toggle.setAttribute("aria-expanded","false"),n(),0===i.Panel.notifCount.innerHTML.trim().length?i.Panel.notifBadge.style.display="none":i.Panel.notifBadge.style.display="flex"):(t.preventDefault(),u.setItem("sa11y-remember-panel","Opened"),i.Panel.toggle.classList.add("on"),i.Panel.toggle.setAttribute("aria-expanded","true"),e(),v(i.Panel.outlineList,i.Panel.outlineContent))})),"Opened"===u.getItem("sa11y-remember-panel")&&(i.Panel.toggle.classList.add("on"),i.Panel.toggle.setAttribute("aria-expanded","true"),i.Panel.panel.style.transform=""),document.onkeydown=e=>{const t=e||window.event;t.altKey&&"KeyA"===t.code&&(i.Panel.toggle.click(),i.Panel.toggle.focus())}}var e,n},"complete"===document.readyState?e():window.addEventListener("load",e))},this.checkAll=async()=>{try{this.results=[],this.headingOutline=[],this.errorCount=0,this.warningCount=0;if(document.querySelector(c.checkRoot)||b(`${t.sprintf("ERROR_MISSING_ROOT_TARGET",c.checkRoot)}`),i.initializeShadowSearch(c),A.initializeElements(c.linksToFlag),on(this.results,c,this.headingOutline),an(this.results,c),nn(this.results,c),function(e,n){if(n.contrastPlugin&&("On"===u.getItem("sa11y-remember-contrast")||n.headless||n.checkAllHideToggles)){let n={errors:[],warnings:[]};const i={parseRgb(e){let t,n,i,o,a;if(n=e.match(/rgb\(\s*(\-?\d+),\s*(\-?\d+)\s*,\s*(\-?\d+)\s*\)/)){for(i=n.slice(1,4),t=o=0;o<=2;t=++o)i[t]=+i[t];i[3]=1}else if(n=e.match(/rgba\(\s*(\-?\d+),\s*(\-?\d+)\s*,\s*(\-?\d+)\s*,\s*([01]|[01]?\.\d+)\)/))for(i=n.slice(1,5),t=a=0;a<=3;t=++a)i[t]=+i[t];return i},relativeLuminance(e){const t=[];for(let n=0;n<3;n++){const i=e[n]/255;t.push(i<.03928?i/12.92:Math.pow((i+.055)/1.055,2.4))}return.2126*t[0]+.7152*t[1]+.0722*t[2]},contrastRatio(e,t){const n=i.relativeLuminance(i.parseRgb(e)),o=i.relativeLuminance(i.parseRgb(t));return(Math.max(n,o)+.05)/(Math.min(n,o)+.05)},getBackground(e){if(11===e.nodeType){const t=e.getRootNode().host.parentNode;if(null===t)return"alpha";e=t}const t=getComputedStyle(e),n=t.backgroundColor,o=t.backgroundImage,a=`${i.parseRgb(n)}`.split(",");return a[3]<1&&a[3]>0?"alpha":"rgba(0, 0, 0, 0)"!==n&&"transparent"!==n&&"none"===o&&"0"!==a[3]?n:"none"!==o?"image":"HTML"===e.tagName?"rgb(255, 255, 255)":i.getBackground(e.parentNode)},check(){n={errors:[],warnings:[]};for(let e=0;e<A.Found.Contrast.length;e++){const t=A.Found.Contrast[e];if(A.Found.Contrast){const e=getComputedStyle(t),{color:o}=e,{fill:a}=e,r=parseInt(e.fontSize,10)*(3/4),{fontWeight:s}=e,l=t.tagName,d=i.getBackground(t),c=[].reduce.call(t.childNodes,((e,t)=>e+(3===t.nodeType?t.textContent:"")),"").trim(),p=window.getComputedStyle(t).clip.replace(/\s/g,""),u=parseFloat(window.getComputedStyle(t).width),g=parseFloat(window.getComputedStyle(t).height);let f,m,b;if(1!==u||1!==g||"rect(0,0,0,0)"!==p&&"rect(1px,1px,1px,1px)"!==p)if("SVG"===l)f=Math.round(100*i.contrastRatio(a,d))/100,f<3&&(m={elem:t,ratio:`${f}:1`},n.errors.push(m));else if(c.length||"INPUT"===l||"SELECT"===l||"TEXTAREA"===l){const e=t.getAttribute("type");"range"===e||"color"===e||("image"===d||"alpha"===d?(b={elem:t},n.warnings.push(b)):(f=Math.round(100*i.contrastRatio(o,d))/100,r>=18||r>=14&&s>=700?f<3&&(m={elem:t,ratio:`${f}:1`},n.errors.push(m)):f<4.5&&(m={elem:t,ratio:`${f}:1`},n.errors.push(m))))}}}return n}};i.check(),n.errors.forEach((n=>{const i=n.elem,o=n.ratio,a=r(l(i.cloneNode(!0),"script, style").textContent);"INPUT"===i.tagName?e.push({element:i,type:"error",content:t.sprintf("CONTRAST_INPUT_ERROR",o),inline:!1,position:"beforebegin"}):e.push({element:i,type:"error",content:t.sprintf("CONTRAST_ERROR",o,a),inline:!1,position:"beforebegin"})})),n.warnings.forEach((n=>{const i=n.elem,o=l(i.cloneNode(!0),"script, style").textContent,a=f(`CONTRAST${o}`),s=r(o);e.push({element:i,type:"warning",content:t.sprintf("CONTRAST_WARNING",s),inline:!1,position:"beforebegin",dismiss:a})}))}}(this.results,c),rn(this.results,c),function(e,n){if(n.linksAdvancedPlugin&&("On"===u.getItem("sa11y-remember-links-advanced")||n.headless||n.checkAllHideToggles)){const n={};A.Found.Links.forEach((o=>{let a=d(o);const c=o.querySelector("img");if("noAria"===a&&(a=l(o,i.Exclusions.LinkSpan),a=s(a),c)){const e=d(c);a+="noAria"!==e?e:c&&c.getAttribute("alt")||""}const p=a.replace(/'|"|-|\.|\s+/g,"").toLowerCase(),u=o.getAttribute("href");if(0!==a.length)if(n[p]&&0!==p.length)if(n[u]);else{const n=f(`LINK${p+u}`),i=r(a);e.push({element:o,type:"warning",content:t.sprintf("LINK_IDENTICAL_NAME",i),inline:!0,position:"beforebegin",dismiss:n})}else n[p]=!0,n[u]=!0;const g=t._("NEW_WINDOW_PHRASES").some((e=>(0===a.trim().length&&o.getAttribute("title")&&(a=o.getAttribute("title")),a.toLowerCase().indexOf(e)>=0))),m=["pdf","doc","docx","word","mp3","ppt","text","pptx","txt","exe","dmg","rtf","windows","macos","csv","xls","xlsx","mp4","mov","avi","zip"].concat(t._("FILE_TYPE_PHRASES")).some((e=>a.toLowerCase().indexOf(e)>=0)),b=o.matches("\n              a[href$='.pdf'],\n              a[href$='.doc'],\n              a[href$='.docx'],\n              a[href$='.zip'],\n              a[href$='.mp3'],\n              a[href$='.txt'],\n              a[href$='.exe'],\n              a[href$='.dmg'],\n              a[href$='.rtf'],\n              a[href$='.pptx'],\n              a[href$='.ppt'],\n              a[href$='.xls'],\n              a[href$='.xlsx'],\n              a[href$='.csv'],\n              a[href$='.mp4'],\n              a[href$='.mov'],\n              a[href$='.avi']\n            ");if(0!==p.length&&"_blank"===o.getAttribute("target")&&!b&&!g){const n=f(`LINK${p+u}`);e.push({element:o,type:"warning",content:t.sprintf("NEW_TAB_WARNING"),inline:!0,position:"beforebegin",dismiss:n})}if(0!==p.length&&b&&!m){const n=f(`LINK${p+u}`);e.push({element:o,type:"warning",content:t.sprintf("FILE_TYPE_WARNING"),inline:!0,position:"beforebegin",dismiss:n})}}))}}(this.results,c),function(e,n){if(n.badLinksQA&&A.Found.CustomErrorLinks.forEach((n=>{e.push({element:n,type:"error",content:t.sprintf("QA_BAD_LINK",n),inline:!0,position:"beforebegin"})})),n.strongItalicsQA&&A.Found.StrongItalics.forEach((n=>{const i=n.textContent.trim().length,o=f(n.tagName+n.textContent);i>400&&e.push({element:n.parentNode,type:"warning",content:t.sprintf("QA_BAD_ITALICS"),inline:!1,position:"beforebegin",dismiss:o})})),A.Found.Links.forEach((o=>{const a=o.getAttribute("href"),r=i.Global.documentLinks.split(", ");if(a){const i=r.some((e=>a.includes(e))),s=a.includes(".pdf"),l=f(`DOCUMENT${a}`);n.documentQA&&i?e.push({element:o,type:"warning",content:t.sprintf("QA_DOCUMENT"),inline:!0,position:"beforebegin",dismiss:l}):n.pdfQA&&s&&e.push({element:o,type:"warning",content:t.sprintf("QA_PDF"),inline:!0,position:"beforebegin",dismiss:l})}})),n.langQA&&(!A.Found.Language||A.Found.Language.length<2)&&e.push({type:"error",content:t.sprintf("QA_PAGE_LANGUAGE")}),n.blockquotesQA&&A.Found.Blockquotes.forEach((n=>{const i=n.textContent;if(i.trim().length<25){const o=r(i),a=f(`BLOCKQUOTE${o}`);e.push({element:n,type:"warning",content:t.sprintf("QA_BLOCKQUOTE_MESSAGE",o),inline:!1,position:"beforebegin",dismiss:a})}})),n.tablesQA&&A.Found.Tables.forEach((i=>{const o=i.querySelectorAll("th"),a=i.querySelectorAll("h1, h2, h3, h4, h5, h6");n.tablesQAmissingTH&&0===o.length&&e.push({element:i,type:"error",content:t.sprintf("TABLES_MISSING_HEADINGS"),inline:!1,position:"beforebegin"}),n.tablesQAsemanticHeadings&&a.length>0&&a.forEach((n=>{e.push({element:n,type:"error",content:t.sprintf("TABLES_SEMANTIC_HEADING"),inline:!1,position:"beforebegin"})})),o.forEach((i=>{if(n.tablesQAemptyTH&&0===i.textContent.trim().length){const o=n.tablesQAemptyTHisError?"error":"warning";e.push({element:i,type:o,content:t.sprintf("TABLES_EMPTY_HEADING"),inline:!1,position:"afterbegin"})}}))})),n.fakeHeadingsQA&&A.Found.Paragraphs.forEach((n=>{const i=n.innerHTML.indexOf("</strong><br>"),o=n.innerHTML.indexOf("<br></strong>"),a='h1, h2, h3, h4, h5, h6, [role="heading"][aria-level], blockquote',l=a.concat(", table"),d=s(n);let c;if(n&&d.length>=300){const{firstChild:a}=n;if("STRONG"===a.tagName&&(-1!==o||-1!==i)){c=s(a);const i=null!==c.match(/[.;?!"]/);if(!/[*]$/.test(c)&&!n.closest(l)&&c.length>=4&&c.length<=120&&!1===i){const n=r(c),i=f(`BOLD${n}`);e.push({element:a,type:"warning",content:t.sprintf("QA_FAKE_HEADING",n),inline:!1,position:"beforebegin",dismiss:i})}}}if(/^<(strong)>.+<\/\1>$/.test(n.innerHTML.trim())){c=d;const i=n.previousElementSibling,o=null!==c.match(/[.;?!"]/);if(null!==i&&i.matches(a));else if(!/[*]$/.test(c)&&c.length>=4&&c.length<=120&&!n.closest(l)&&!1===o){const i=r(c),o=f(`BOLD${i}`);e.push({element:n,type:"warning",content:t.sprintf("QA_FAKE_HEADING",i),inline:!1,position:"beforebegin",dismiss:o})}}(n=>{const i=getComputedStyle(n).fontSize.replace("px",""),o='h1, h2, h3, h4, h5, h6, [role="heading"][aria-level], blockquote',a=s(n),l=n.previousElementSibling,d=null!==a.match(/[.;?!"]/);if(null!==l&&l.matches(o));else if(i>=24&&!n.closest(o)&&a.length>=4&&a.length<=120&&!1===d){const i=r(a),o=f(`BOLD${i}`);e.push({element:n,type:"warning",content:t.sprintf("QA_FAKE_HEADING",i),inline:!1,position:"beforebegin",dismiss:o})}})(n)})),n.fakeListQA&&A.Found.Paragraphs.forEach((n=>{let i="";const o={b:"a",B:"A",2:"1","б":"а","Б":"А"},a=e=>e.replace(/^b|^B|^б|^Б|^2/,(e=>o[e]));let r=!1;const s=n.textContent.substring(0,2);if(s.trim().length>0&&s!==i&&s.match(/a\.|a\)|A\.|A\)|а\.|а\)|А\.|А\)|1\.|1\)|\*\s|-\s|--|•\s|→\s|✓\s|✔\s|✗\s|✖\s|✘\s|❯\s|›\s|»\s/)){const o=n.innerHTML.indexOf("<br>");if(-1!==o&&s===a(n.innerHTML.substring(o+4).trim().substring(0,2))&&(r=!0),r||function(e,t){let n=e.nextElementSibling;if(!t)return n;for(;n;){if(n.matches(t))return n;n=n.nextElementSibling}return""}(n,"p")&&s===a(n.nextElementSibling.textContent.substring(0,2))&&(r=!0),r){const o=f(`LIST${n.textContent}`);e.push({element:n,type:"warning",content:t.sprintf("QA_SHOULD_BE_LIST",s),inline:!1,position:"beforebegin",dismiss:o}),i=s}else i=""}else i=""})),n.allCapsQA){const n=n=>{let i="";"LI"===n.tagName?n.childNodes.forEach((e=>{3===e.nodeType&&(i+=e.textContent)})):i=s(n);const o=i.match(/([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,})/g);if(o&&o[0].length>10){const o=f(`UPPERCASE${i}`);e.push({element:n,type:"warning",content:t.sprintf("QA_UPPERCASE_WARNING"),inline:!1,position:"beforebegin",dismiss:o})}};A.Found.Paragraphs.forEach((e=>n(e))),A.Found.Headings.forEach((e=>n(e))),A.Found.Lists.forEach((e=>n(e))),A.Found.Blockquotes.forEach((e=>n(e)))}if(n.duplicateIdQA){const n={};A.Found.Ids.forEach((i=>{const{id:o}=i;o&&(void 0===n[o]?n[o]=1:e.push({element:i,type:"error",content:t.sprintf("QA_DUPLICATE_ID",o),inline:!0,position:"beforebegin"}))}))}if(n.underlinedTextQA){A.Found.Underlines.forEach((n=>{const i=f(`UNDERLINE${s(n)}`);e.push({element:n,type:"warning",content:t.sprintf("QA_TEXT_UNDERLINE_WARNING"),inline:!0,position:"beforebegin",dismiss:i})}));const n=n=>{const i=getComputedStyle(n).textDecorationLine,o=s(n);if("underline"===i){const i=f(`UNDERLINE${o}`);e.push({element:n,type:"warning",content:t.sprintf("QA_TEXT_UNDERLINE_WARNING"),inline:!1,position:"beforebegin",dismiss:i})}};A.Found.Paragraphs.forEach((e=>n(e))),A.Found.Headings.forEach((e=>n(e))),A.Found.Lists.forEach((e=>n(e))),A.Found.Blockquotes.forEach((e=>n(e))),A.Found.Spans.forEach((e=>n(e)))}if(n.pageTitleQA){const n=document.querySelector("head title");n&&0!==n.textContent.trim().length||e.push({type:"error",content:t.sprintf("QA_PAGE_TITLE")})}n.subscriptQA&&A.Found.Subscripts.forEach((n=>{const i=s(n);if(i.length>=80){const o=f(n.tagName+i);e.push({element:n,type:"warning",content:t.sprintf("QA_SUBSCRIPT_WARNING"),inline:!0,position:"beforebegin",dismiss:o})}}))}(this.results,c),function(e,n){n.embeddedContentAll&&(n.embeddedContentAudio&&A.Found.Audio.forEach((n=>{const i=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_AUDIO"),inline:!1,position:"beforebegin",dismiss:i})})),n.embeddedContentVideo&&A.Found.Videos.forEach((n=>{const i=n.getElementsByTagName("TRACK");if("VIDEO"===n.tagName&&i.length);else{const i=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_VIDEO"),inline:!1,position:"beforebegin",dismiss:i})}})),n.embeddedContentDataViz&&A.Found.Visualizations.forEach((n=>{const i=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_DATA_VIZ"),inline:!1,position:"beforebegin",dismiss:i})})),n.embeddedContentTitles&&A.Found.Iframes.forEach((n=>{"VIDEO"===n.tagName||"AUDIO"===n.tagName||"true"===n.getAttribute("aria-hidden")||null!==n.getAttribute("hidden")||"none"===n.style.display||"presentation"===n.getAttribute("role")||null!==n.getAttribute("title")&&""!==n.getAttribute("title")||null!==n.getAttribute("aria-label")&&""!==n.getAttribute("aria-label")||null===n.getAttribute("aria-labelledby")&&(n.classList.contains("sa11y-warning-border")&&n.classList.remove("sa11y-warning-border"),e.push({element:n,type:"error",content:t.sprintf("EMBED_MISSING_TITLE"),inline:!1,position:"beforebegin"}))})),n.embeddedContentGeneral&&A.Found.EmbeddedContent.forEach((n=>{if("VIDEO"===n.tagName||"AUDIO"===n.tagName||"true"===n.getAttribute("aria-hidden")||null!==n.getAttribute("hidden")||"none"===n.style.display||"presentation"===n.getAttribute("role")||"-1"===n.getAttribute("tabindex"));else{const i=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_GENERAL_WARNING"),inline:!1,position:"beforebegin",dismiss:i})}})))}(this.results,c),function(){let e;if(i.Readability.Plugin&&"On"===u.getItem("sa11y-remember-readability")){A.Found.Readability.forEach((e=>{const t=e.textContent;t.length>=120&&"."!==t.charAt(t.length-1)&&e.insertAdjacentHTML("beforeend","<span data-sa11y-readability-period>.</span>")}));const n=[];for(let e=0;e<A.Found.Readability.length;e++){const t=s(l(A.Found.Readability[e]));""!==t&&n.push(t)}const o=n.join(" ").toString();if(["en","es","fr","de","nl","it","pt"].includes(i.Readability.Lang)){const n=e=>{let t=e;if(t=t.toLowerCase().replace(".","").replace("\n",""),t.length<=3)return 1;t=t.replace(/(?:[^laeiouy]es|ed|[^laeiouy]e)$/,""),t=t.replace(/^y/,"");const n=t.match(/[aeiouy]{1,2}/g);let i=0;return!!n&&(i=n.length),i},a=o.replace(/[.!?-]+/g," ").split(" ");let r=0;for(let e=0;e<a.length;e++)0!=a[e]&&(r+=1);const s=o.split(/[.!?]+/);let l=0;for(let e=0;e<s.length;e++)""!==s[e]&&(l+=1);let d=0,c=0,p=0;for(let e=0;e<a.length;e++)if(0!=a[e]){const t=n(a[e]);1===t&&(c+=1),2===t&&(p+=1),d+=t}let u=!1;"en"===i.Readability.Lang?u=206.835-r/l*1.015-d/r*84.6:"fr"===i.Readability.Lang?u=207-r/l*1.015-d/r*73.6:"es"===i.Readability.Lang?u=206.84-r/l*1.02-d/r*100*.6:"de"===i.Readability.Lang?u=180-r/l-d/r*58.5:"nl"===i.Readability.Lang?u=206.84-d/r*100*.77-r/l*.93:"it"===i.Readability.Lang?u=217-r/l*1.3-d/r*100*.6:"pt"===i.Readability.Lang&&(u=248.835-r/l*1.015-d/r*84.6),u>100?u=100:u<0&&(u=0);const g=u.toFixed(1),f=(r/l).toFixed(1),m=Math.round((r-(c+p))/r*100);let b;b=g>=0&&g<30?t._("LANG_VERY_DIFFICULT"):g>31&&g<49?t._("LANG_DIFFICULT"):g>50&&g<60?t._("LANG_FAIRLY_DIFFICULT"):t._("LANG_GOOD"),e={score:g,averageWordsPerSentence:f,complexWords:m,difficultyLevel:b,wordCount:r}}else if(["sv","fi","da","no","nb","nn"].includes(i.Readability.Lang)){const n=(e=>{const n=()=>e.replace(/[-'.]/gi,"").split(/[^a-zA-ZöäåÖÄÅÆæØø0-9]/g).filter(Boolean),i=n().length,o=n().filter((e=>e.length>6)).length,a=e.split(/\?|!|\.|\n/g).filter(Boolean).length,r=Math.round(i/a+100*o/i),s=(i/a).toFixed(1),l=Math.round(o/i*100);let d;return d=r>=0&&r<39?t._("LANG_GOOD"):r>40&&r<50?t._("LANG_FAIRLY_DIFFICULT"):r>51&&r<61?t._("LANG_DIFFICULT"):t._("LANG_VERY_DIFFICULT"),{score:r,difficulty:d,avgWordsPerSentence:s,complexWords:l,wordCount:i}})(o);e={score:n.score,averageWordsPerSentence:n.avgWordsPerSentence,complexWords:n.complexWords,difficultyLevel:n.difficulty,wordCount:n.wordCount}}!1===i.Global.headless&&(0===o.length?i.Panel.readabilityInfo.innerHTML=t._("READABILITY_NO_P_OR_LI_MESSAGE"):e.wordCount>30?(i.Panel.readabilityInfo.innerHTML=`${e.score} <span class="readability-score">${e.difficultyLevel}</span>`,i.Panel.readabilityDetails.innerHTML=`\n            <li>\n              <strong>${t._("LANG_AVG_SENTENCE")}</strong>\n              ${e.averageWordsPerSentence}\n            </li>\n            <li>\n              <strong>${t._("LANG_COMPLEX_WORDS")}</strong>\n              ${e.complexWords}%\n            </li>\n            <li>\n              <strong>${t._("LANG_TOTAL_WORDS")}</strong>\n              ${e.wordCount}\n            </li>`):i.Panel.readabilityInfo.textContent=t._("READABILITY_NOT_ENOUGH_CONTENT_MESSAGE"))}}(),c.customChecks&&function(e){const t="More than one Announcement component found! The Announcement component should be used strategically and sparingly. It should be used to get attention or indicate that something is important. Misuse of this component makes it less effective or impactful. Secondly, this component is semantically labeled as an Announcement for people who use screen readers.",n="Do <strong>not nest forms</strong> within the Accordion component. If the form contains validation issues, a person may not see the form feedback since the accordion panel goes back to its original closed state.",i=o(".sa11y-announcement-component","root");if(i.length>1)for(let n=1;n<i.length;n++){const o=f(i[n].textContent);e.push({element:i[n],type:"warning",content:t,inline:!1,position:"beforebegin",dismiss:o})}o(".sa11y-accordion-example","root").forEach((t=>{const i=t.querySelector("form");i&&i.length&&e.push({element:t,type:"error",content:n,inline:!1,position:"beforebegin"})}))}(this.results),this.results=this.results.filter((e=>!1!==e.isWithinRoot)),this.results.forEach((e=>{const t=c.selectorPath?function(e){const t=[];let n=e;for(;n;){let e=n.localName;if(n.id){e+=`#${n.id}`,t.unshift(e);break}n.className&&(e+=`.${n.className.replace(/\s+/g,".")}`);const i=n.parentNode;if(!i)break;{const o=i.children;o.length>1&&(e+=`:nth-child(${Array.prototype.indexOf.call(o,n)+1})`),t.unshift(e)}n=n.parentNode.host||n.parentNode}return t.join(" > ")}(e.element):"",n=e.element?.outerHTML.replace(/\s{2,}/g," ").trim()||"";Object.assign(e,{htmlPath:n,cssPath:t})})),!1===c.headless){const o=function(e,n){let o=u.getItem("sa11y-dismissed");o=o?JSON.parse(o):[];const a=o.map((t=>{const n=e.find((e=>t.key.includes(e.dismiss)&&t.href===window.location.pathname));return void 0===n?"":n})),r=e.filter((e=>!a.find((t=>t.dismiss===e.dismiss)))),s=e.filter((e=>a.find((t=>t.dismiss===e.dismiss)))),l=s.length;return l>=1?(i.Panel.dismissButton.classList.add("active"),i.Panel.dismissTooltip.innerText=t.sprintf("PANEL_DISMISS_BUTTON",l),n.object.setContent(t.sprintf("PANEL_DISMISS_BUTTON",l))):i.Panel.dismissButton.classList.remove("active"),{dismissedIssues:o,updatedResults:r,dismissCount:l,dismissedResults:s}}(this.results,this.dismissTooltip,this.checkAll,this.resetAll);this.results=o.updatedResults,this.dismissed=o.dismissedIssues;const r=function(e,t,n){let i=t,o=n;return e.forEach(((t,n)=>{const a=e[n].type;"error"===a?i+=1:"warning"===a&&(o+=1)})),{error:i,warning:o}}(this.results,this.errorCount,this.warningCount);if(function(e,n){const o=e+n;0===o?(i.Panel.notifCount.innerText="",i.Panel.notifText.innerText="",i.Panel.notifBadge.style.display="none"):n>0&&0===e?(i.Panel.notifBadge.classList.add("notification-badge-warning"),i.Panel.notifCount.innerText=`${n}`,i.Panel.notifText.innerText=`${t._("PANEL_ICON_WARNINGS")}`):(i.Panel.notifBadge.classList.remove("notification-badge-warning"),i.Panel.notifCount.innerText=`${o}`,i.Panel.notifText.innerText=t._("PANEL_ICON_TOTAL")),"Opened"===u.getItem("sa11y-remember-panel")||0===o?i.Panel.notifBadge.style.display="none":i.Panel.notifBadge.style.display="flex"}(r.error,r.warning),"Opened"===u.getItem("sa11y-remember-panel")){this.results.forEach(((e,n)=>{Object.assign(e,{id:n}),function(e,n,o,r=!1,s,l,d,c){const p=["error","warning","good"];if(-1===p.indexOf(n))throw Error(`Invalid type [${n}] for annotation`);[n].forEach((t=>{if("error"===t&&void 0!==e){const t=r?"data-sa11y-error-inline":"data-sa11y-error";e.setAttribute(t,l)}else if("warning"===t&&void 0!==e){const t=r?"data-sa11y-warning-inline":"data-sa11y-warning";e.setAttribute(t,l)}}));const u={[p[0]]:t._("ERROR"),[p[1]]:t._("WARNING"),[p[2]]:t._("GOOD")},g=!0===c&&"warning"===n&&void 0!==d?`<button data-sa11y-dismiss='${l}' type='button'>${t._("DISMISS")}</button>`:"",f=document.createElement("sa11y-annotation");f.setAttribute("data-sa11y-annotation",l);const m=document.createElement("div"),b=document.createElement("li");void 0===e?(i.Panel.pageIssues.classList.add("active"),i.Panel.panel.classList.add("has-page-issues"),b.innerHTML=`<strong>${u[n]}</strong> ${o}${g}`,i.Panel.pageIssuesList.insertAdjacentElement("afterbegin",b)):(m.classList.add(r?"instance-inline":"instance"),m.innerHTML=`\n    <button\n      type="button"\n      aria-label="${u[n]}"\n      aria-haspopup="dialog"\n      class="sa11y-btn ${[n]}-btn${r?"-text":""}"\n      data-tippy-content=\n        "<div lang='${t._("LANG_CODE")}'>\n          <button class='close-btn close-tooltip' aria-label='${t._("ALERT_CLOSE")}'></button>\n          <div class='header-text'><h2>${u[n]}</h2></div>\n          ${a(o)}\n          ${g}\n        </div>"\n    ></button>`,(e.closest("a, button")||e).insertAdjacentElement(s,f),f.shadowRoot.appendChild(m))}(e.element,e.type,e.content,e.inline,e.position,e.id,e.dismiss,c.dismissAnnotations)})),A.initializeAnnotations();const s=new Ut;document.body.appendChild(s),I(this.results,this.dismissed,this.checkAll,this.resetAll),N(this.dismissed,this.headingOutline,c.showHinPageOutline),p=o.dismissCount,g=r.error,m=r.warning,i.Panel.skipButton.disabled=!1,i.Panel.panel.classList.add("active"),i.Global.html.setAttribute("data-sa11y-active","true"),i.Panel.skipButton.classList.add("active"),g>0&&m>0?(i.Panel.content.setAttribute("class","errors"),i.Panel.status.innerHTML=`${t._("ERRORS")} <span class="panel-count">${g}</span> ${t._("WARNINGS")} <span class="panel-count" id="warning-count">${m}</span>`):g>0?(i.Panel.content.setAttribute("class","errors"),i.Panel.status.innerHTML=`${t._("ERRORS")} <span class="panel-count">${g}</span>`):m>0?(i.Panel.content.setAttribute("class","warnings"),i.Panel.status.innerHTML=`${t._("WARNINGS")} <span class="panel-count" id="warning-count">${m}</span>`):p>0?(i.Panel.status.innerHTML=`${t._("DISMISSED")} <span class="panel-count">${p}</span>`,i.Panel.skipButton.classList.remove("active")):(i.Panel.content.setAttribute("class","good"),i.Panel.status.innerHTML=`${t._("PANEL_STATUS_NONE")}`),0===document.querySelectorAll("sa11y-annotation").length&&(i.Panel.skipButton.disabled=!0),tn(this.results),c.exportResultsPlugin&&(e=this.results,n=o.dismissedResults,P=()=>{_(e,n)},O=()=>{S(e)},i.Panel.exportHTML.addEventListener("click",P),i.Panel.exportCSV.addEventListener("click",O)),qt(),document.querySelectorAll("sa11y-annotation").forEach((e=>{const t=e.nextElementSibling;null!==t&&"SA11Y-ANNOTATION"===t.tagName&&customElements.get("sa11y-annotation")&&t.shadowRoot.querySelector("button").setAttribute("style","margin: -5px -15px !important;")}))}}const h=new CustomEvent("sa11y-check-complete",{detail:{results:this.results,page:window.location.pathname}});document.dispatchEvent(h)}catch(e){const t=new $(e);document.body.appendChild(t),console.error(e)}var e,n,p,g,m},this.resetAll=(e=!0)=>{for(i.Global.html.removeAttribute("data-sa11y-active"),h(["data-sa11y-parent","data-sa11y-error","data-sa11y-warning","data-sa11y-good","data-sa11y-error-inline","data-sa11y-warning-inline","data-sa11y-overflow","data-sa11y-pulse-border","data-sa11y-filter"],"document"),y(["sa11y-annotation","sa11y-heading-label","sa11y-heading-anchor","sa11y-tooltips","[data-sa11y-readability-period]","[data-sa11y-clone-image-text]",".sa11y-css-utilities"],"document"),i.Panel.outlineList.innerHTML="",i.Panel.pageIssuesList.innerHTML="",i.Panel.readabilityInfo.innerHTML="",i.Panel.readabilityDetails.innerHTML="",i.Panel.panel.classList.remove("has-page-issues"),i.Panel.pageIssues.classList.remove("active"),m(),document.removeEventListener("keydown",Jt),i.Panel.skipButton.removeEventListener("click",en),i.Panel.exportHTML.removeEventListener("click",P),i.Panel.exportCSV.removeEventListener("click",O),i.Panel.panel.removeEventListener("click",L),i.Panel.dismissButton.removeEventListener("click",E),i.Global.colourFilterPlugin&&(i.Panel.colourFilterSelect.value=0,i.Panel.colourPanel.classList.remove("active"),i.Panel.colourFilterSelect.classList.remove("active"),i.Panel.content.hidden=!1);i.Panel.status.firstChild;)i.Panel.status.removeChild(i.Panel.status.firstChild);e&&i.Panel.panel.classList.remove("active")},this.initialize()}}export{t as Lang,sn as Sa11y};
